/*****************************************************************************
 *  Rohde&Schwarz Instrument Driver Specific Attribute callbacks include file
 *
 *  WARNING: Do not add to, delete from, or otherwise modify the contents
 *           of this include file. It is generated from DrBase repository.
 *
 *  Built on: 2017-01-24 13:52:09Z
 *****************************************************************************/

#ifndef __RSRTM20XX_ATTRIBUTES_HEADER
#define __RSRTM20XX_ATTRIBUTES_HEADER

#include "rsidr_core.h"

#if defined(__cplusplus) || defined(__cplusplus__)
extern "C" {
#endif

/*****************************************************************************
 *- Read Callbacks ----------------------------------------------------------*
 *****************************************************************************/
ViStatus rsrtm20xx_doubleQuotedString_ReadCallback (ViSession io, ViConstString repCapName, ViAttr attributeId, ViInt32 bufSize, void *value);
ViStatus rsrtm20xx_PatternCondition_ReadCallback (ViSession io, ViConstString repCapName, ViAttr attributeId, ViInt32 bufSize, void *value);
ViStatus rsrtm20xx_singleStatisticalValue_ReadCallback (ViSession io, ViConstString repCapName, ViAttr attributeId, ViInt32 bufSize, void *value);
ViStatus rsrtm20xx_doubleQuotedStringInt_ReadCallback (ViSession io, ViConstString repCapName, ViAttr attributeId, ViInt32 bufSize, void *value);
ViStatus rsrtm20xx_FormatI2CFrameRepCapString_ReadCallback (ViSession io, ViConstString repCapName, ViAttr attributeId, ViInt32 bufSize, void *value);
ViStatus rsrtm20xx_FormatI2CFrameRepCapInt_ReadCallback (ViSession io, ViConstString repCapName, ViAttr attributeId, ViInt32 bufSize, void *value);
ViStatus rsrtm20xx_FormatI2CFrameRepCapReal_ReadCallback (ViSession io, ViConstString repCapName, ViAttr attributeId, ViInt32 bufSize, void *value);
ViStatus rsrtm20xx_FormatI2CFrameRepCapBool_ReadCallback (ViSession io, ViConstString repCapName, ViAttr attributeId, ViInt32 bufSize, void *value);
ViStatus rsrtm20xx_FormatI2CFrameByteRepCapInt_ReadCallback (ViSession io, ViConstString repCapName, ViAttr attributeId, ViInt32 bufSize, void *value);
ViStatus rsrtm20xx_FormatI2CFrameByteRepCapReal_ReadCallback (ViSession io, ViConstString repCapName, ViAttr attributeId, ViInt32 bufSize, void *value);
ViStatus rsrtm20xx_FormatI2CFrameByteRepCapBool_ReadCallback (ViSession io, ViConstString repCapName, ViAttr attributeId, ViInt32 bufSize, void *value);
ViStatus rsrtm20xx_FormatSPIFrameRepCapInt_ReadCallback (ViSession io, ViConstString repCapName, ViAttr attributeId, ViInt32 bufSize, void *value);
ViStatus rsrtm20xx_FormatSPIFrameRepCapReal_ReadCallback (ViSession io, ViConstString repCapName, ViAttr attributeId, ViInt32 bufSize, void *value);
ViStatus rsrtm20xx_FormatSPIFrameRepCapString_ReadCallback (ViSession io, ViConstString repCapName, ViAttr attributeId, ViInt32 bufSize, void *value);
ViStatus rsrtm20xx_FormatSPIFrameWordRepCapReal_ReadCallback (ViSession io, ViConstString repCapName, ViAttr attributeId, ViInt32 bufSize, void *value);
ViStatus rsrtm20xx_FormatSPIFrameWordRepCapInt_ReadCallback (ViSession io, ViConstString repCapName, ViAttr attributeId, ViInt32 bufSize, void *value);
ViStatus rsrtm20xx_FormatUARTFrameRepCapInt_ReadCallback (ViSession io, ViConstString repCapName, ViAttr attributeId, ViInt32 bufSize, void *value);
ViStatus rsrtm20xx_FormatUARTFrameWordRepCapInt_ReadCallback (ViSession io, ViConstString repCapName, ViAttr attributeId, ViInt32 bufSize, void *value);
ViStatus rsrtm20xx_FormatLINFrameRepCapString_ReadCallback (ViSession io, ViConstString repCapName, ViAttr attributeId, ViInt32 bufSize, void *value);
ViStatus rsrtm20xx_FormatLINFrameRepCapInt_ReadCallback (ViSession io, ViConstString repCapName, ViAttr attributeId, ViInt32 bufSize, void *value);
ViStatus rsrtm20xx_FormatLINFrameRepCapReal_ReadCallback (ViSession io, ViConstString repCapName, ViAttr attributeId, ViInt32 bufSize, void *value);
ViStatus rsrtm20xx_FormatLINFrameByteRepCapInt_ReadCallback (ViSession io, ViConstString repCapName, ViAttr attributeId, ViInt32 bufSize, void *value);
ViStatus rsrtm20xx_FormatCANFrameRepCapInt_ReadCallback (ViSession io, ViConstString repCapName, ViAttr attributeId, ViInt32 bufSize, void *value);
ViStatus rsrtm20xx_FormatCANFrameRepCapReal_ReadCallback (ViSession io, ViConstString repCapName, ViAttr attributeId, ViInt32 bufSize, void *value);
ViStatus rsrtm20xx_FormatCANFrameRepCapString_ReadCallback (ViSession io, ViConstString repCapName, ViAttr attributeId, ViInt32 bufSize, void *value);
ViStatus rsrtm20xx_FormatCANFrameByteRepCapInt_ReadCallback (ViSession io, ViConstString repCapName, ViAttr attributeId, ViInt32 bufSize, void *value);
ViStatus rsrtm20xx_FormatParallelFrameRepCapString_ReadCallback (ViSession io, ViConstString repCapName, ViAttr attributeId, ViInt32 bufSize, void *value);
ViStatus rsrtm20xx_FormatParallelFrameRepCapInt_ReadCallback (ViSession io, ViConstString repCapName, ViAttr attributeId, ViInt32 bufSize, void *value);
ViStatus rsrtm20xx_FormatParallelFrameRepCapReal_ReadCallback (ViSession io, ViConstString repCapName, ViAttr attributeId, ViInt32 bufSize, void *value);
ViStatus rsrtm20xx_FormatClockedFrameRepCapString_ReadCallback (ViSession io, ViConstString repCapName, ViAttr attributeId, ViInt32 bufSize, void *value);
ViStatus rsrtm20xx_FormatClockedFrameRepCapInt_ReadCallback (ViSession io, ViConstString repCapName, ViAttr attributeId, ViInt32 bufSize, void *value);
ViStatus rsrtm20xx_FormatClockedFrameRepCapReal_ReadCallback (ViSession io, ViConstString repCapName, ViAttr attributeId, ViInt32 bufSize, void *value);
ViStatus rsrtm20xx_FormatAudioFrameRepCapInt_ReadCallback (ViSession io, ViConstString repCapName, ViAttr attributeId, ViInt32 bufSize, void *value);
ViStatus rsrtm20xx_FormatAudioFrameRepCapReal_ReadCallback (ViSession io, ViConstString repCapName, ViAttr attributeId, ViInt32 bufSize, void *value);
ViStatus rsrtm20xx_FormatMILSTDWordRepCapReal_ReadCallback (ViSession io, ViConstString repCapName, ViAttr attributeId, ViInt32 bufSize, void *value);
ViStatus rsrtm20xx_FormatMILSTDWordRepCapInt_ReadCallback (ViSession io, ViConstString repCapName, ViAttr attributeId, ViInt32 bufSize, void *value);
ViStatus rsrtm20xx_FormatMILSTDWordRepCapString_ReadCallback (ViSession io, ViConstString repCapName, ViAttr attributeId, ViInt32 bufSize, void *value);
ViStatus rsrtm20xx_FormatARINCWordRepCapInt_ReadCallback (ViSession io, ViConstString repCapName, ViAttr attributeId, ViInt32 bufSize, void *value);
ViStatus rsrtm20xx_FormatARINCWordRepCapReal_ReadCallback (ViSession io, ViConstString repCapName, ViAttr attributeId, ViInt32 bufSize, void *value);
ViStatus rsrtm20xx_FormatARINCWordRepCapString_ReadCallback (ViSession io, ViConstString repCapName, ViAttr attributeId, ViInt32 bufSize, void *value);
ViStatus rsrtm20xx_FormatSOAPointRepCapReal_ReadCallback (ViSession io, ViConstString repCapName, ViAttr attributeId, ViInt32 bufSize, void *value);
ViStatus rsrtm20xx_FormatSOAPointRepCapInt_ReadCallback (ViSession io, ViConstString repCapName, ViAttr attributeId, ViInt32 bufSize, void *value);
ViStatus rsrtm20xx_empty_ReadCallback (ViSession io, ViConstString repCapName, ViAttr attributeId, ViInt32 bufSize, void *value);
ViStatus rsrtm20xx_logging_ReadCallback (ViSession io, ViConstString repCapName, ViAttr attributeId, ViInt32 bufSize, void *value);

/*****************************************************************************
 *- Write Callbacks ---------------------------------------------------------*
 *****************************************************************************/
ViStatus rsrtm20xx_doubleQuotedString_WriteCallback (ViSession io, ViConstString repCapName, ViAttr attributeId, void *value);
ViStatus rsrtm20xx_PatternCondition_WriteCallback (ViSession io, ViConstString repCapName, ViAttr attributeId, void *value);
ViStatus rsrtm20xx_doubleQuotedStringInt_WriteCallback (ViSession io, ViConstString repCapName, ViAttr attributeId, void *value);
ViStatus rsrtm20xx_FormatSOAPointRepCapReal_WriteCallback (ViSession io, ViConstString repCapName, ViAttr attributeId, void *value);
ViStatus rsrtm20xx_empty_WriteCallback (ViSession io, ViConstString repCapName, ViAttr attributeId, void *value);
ViStatus rsrtm20xx_logging_WriteCallback (ViSession io, ViConstString repCapName, ViAttr attributeId, void *value);

/*****************************************************************************
 *- Check Callbacks ---------------------------------------------------------*
 *****************************************************************************/

/*****************************************************************************
 *- Check Status Callbacks ---------------------------------------------------------*
 *****************************************************************************/

/*****************************************************************************
 *- Coerce Callbacks --------------------------------------------------------*
 *****************************************************************************/

/*****************************************************************************
 *- Range Table Callbacks ---------------------------------------------------*
 *****************************************************************************/

/*****************************************************************************
 *- User Callbacks ----------------------------------------------------------*
 *****************************************************************************/

/*****************************************************************************
 *- Range Tables ------------------------------------------------------------*
 *****************************************************************************/
extern RsRangeTable rsrtm20xx_rngHorzScale;
extern RsRangeTable rsrtm20xx_rngHorzAcquisitionTime;
extern RsRangeTable rsrtm20xx_rngAcquisitionStartTime;
extern RsRangeTable rsrtm20xx_rngHorzReference;
extern RsRangeTable rsrtm20xx_rngSampleMode;
extern RsRangeTable rsrtm20xx_rngWaveformArithmetics;
extern RsRangeTable rsrtm20xx_rngVerticalCoupling;
extern RsRangeTable rsrtm20xx_rngChannelBWLimit;
extern RsRangeTable rsrtm20xx_rngTriggerSource;
extern RsRangeTable rsrtm20xx_rngTriggerLevel;
extern RsRangeTable rsrtm20xx_rngTriggerSlope;
extern RsRangeTable rsrtm20xx_rngPolarity;
extern RsRangeTable rsrtm20xx_rngWidthCondition;
extern RsRangeTable rsrtm20xx_rngLineNumber;
extern RsRangeTable rsrtm20xx_rngTVTriggerEvent;
extern RsRangeTable rsrtm20xx_rngChannelPatternCombination;
extern RsRangeTable rsrtm20xx_rngFalseTrue;
extern RsRangeTable rsrtm20xx_rngCursorFunction;
extern RsRangeTable rsrtm20xx_rngCursorXPosition;
extern RsRangeTable rsrtm20xx_rngCursorYPosition;
extern RsRangeTable rsrtm20xx_rngPct;
extern RsRangeTable rsrtm20xx_rngXRatioMeasurementUnit;
extern RsRangeTable rsrtm20xx_rngYRatioMeasurementUnit;
extern RsRangeTable rsrtm20xx_rngRollModeAuto;
extern RsRangeTable rsrtm20xx_rngInterpolation;
extern RsRangeTable rsrtm20xx_rngMeasurementCategory;
extern RsRangeTable rsrtm20xx_rngFFTWindowType;
extern RsRangeTable rsrtm20xx_rngRBW;
extern RsRangeTable rsrtm20xx_rngRBWRatio;
extern RsRangeTable rsrtm20xx_rngPeakExcursion;
extern RsRangeTable rsrtm20xx_rngMathFFTStartStop;
extern RsRangeTable rsrtm20xx_rngProtocolI2CFrameState;
extern RsRangeTable rsrtm20xx_rngProtocolAckBit;
extern RsRangeTable rsrtm20xx_rngProtocolSPIBitOrder;
extern RsRangeTable rsrtm20xx_rngProtocolSPIWordLength;
extern RsRangeTable rsrtm20xx_rngAudioSource;
extern RsRangeTable rsrtm20xx_rngProtocolSPIPolarity;
extern RsRangeTable rsrtm20xx_rngProtocolSPIDataAlignment;
extern RsRangeTable rsrtm20xx_rngProtocolSPIFrameState;
extern RsRangeTable rsrtm20xx_rngProtocolUARTParity;
extern RsRangeTable rsrtm20xx_rngProtocolUARTStopBits;
extern RsRangeTable rsrtm20xx_rngProtocolUARTTriggerType;
extern RsRangeTable rsrtm20xx_rngPersistenceTime;
extern RsRangeTable rsrtm20xx_rngSignalStyle;
extern RsRangeTable rsrtm20xx_rngHardcopyDeviceOrientation;
extern RsRangeTable rsrtm20xx_rngWaveformParameter;
extern RsRangeTable rsrtm20xx_rngProtocolI2CAddressAccessBit;
extern RsRangeTable rsrtm20xx_rngSampleRate;
extern RsRangeTable rsrtm20xx_rngAveragingSpectrums;
extern RsRangeTable rsrtm20xx_rngColorBrightness;
extern RsRangeTable rsrtm20xx_rngDiagramMode;
extern RsRangeTable rsrtm20xx_rngLanguage;
extern RsRangeTable rsrtm20xx_rngGridStyle;
extern RsRangeTable rsrtm20xx_rngSource;
extern RsRangeTable rsrtm20xx_rngXY2Source;
extern RsRangeTable rsrtm20xx_rngIntensityMode;
extern RsRangeTable rsrtm20xx_rngIntensityTreshold;
extern RsRangeTable rsrtm20xx_rngHardcopyDevice;
extern RsRangeTable rsrtm20xx_rngHardcopyDeviceLang;
extern RsRangeTable rsrtm20xx_rngPageSize;
extern RsRangeTable rsrtm20xx_rngMeasResultRTM;
extern RsRangeTable rsrtm20xx_rngChannelRTM;
extern RsRangeTable rsrtm20xx_rngMaskCondition;
extern RsRangeTable rsrtm20xx_rngMaskXWidth;
extern RsRangeTable rsrtm20xx_rngMaskYWidth;
extern RsRangeTable rsrtm20xx_rngYPosition;
extern RsRangeTable rsrtm20xx_rngProbeButtonAction;
extern RsRangeTable rsrtm20xx_rngTriggerCoupling;
extern RsRangeTable rsrtm20xx_rngProtocolI2CAccessBit;
extern RsRangeTable rsrtm20xx_rngAddressLength;
extern RsRangeTable rsrtm20xx_rngProtocolI2CTriggerType;
extern RsRangeTable rsrtm20xx_rngHysteresisMode;
extern RsRangeTable rsrtm20xx_rngTriggerMode;
extern RsRangeTable rsrtm20xx_rngTriggerPatternFunction;
extern RsRangeTable rsrtm20xx_rngProtocolSPITriggerType;
extern RsRangeTable rsrtm20xx_rngFirstBitOffset;
extern RsRangeTable rsrtm20xx_rngSPIWordLength;
extern RsRangeTable rsrtm20xx_rngTriggerType;
extern RsRangeTable rsrtm20xx_rngTVStandard;
extern RsRangeTable rsrtm20xx_rngProtocolUARTTriggerMode;
extern RsRangeTable rsrtm20xx_rngUartLength;
extern RsRangeTable rsrtm20xx_rngTrgDelay;
extern RsRangeTable rsrtm20xx_rngColorScheme;
extern RsRangeTable rsrtm20xx_rngAcquisitionType;
extern RsRangeTable rsrtm20xx_rngAmplitudeTimeMeasurementType;
extern RsRangeTable rsrtm20xx_rngHardcopyLang;
extern RsRangeTable rsrtm20xx_rngProtocolType;
extern RsRangeTable rsrtm20xx_rngProtocolFormat;
extern RsRangeTable rsrtm20xx_rngProtocolHeight;
extern RsRangeTable rsrtm20xx_rngProtocolVertical;
extern RsRangeTable rsrtm20xx_rngParallelBusAnalyzedLinesRTM;
extern RsRangeTable rsrtm20xx_rngProtocolBurstIdleTime;
extern RsRangeTable rsrtm20xx_rngProtocolUARTWordLength;
extern RsRangeTable rsrtm20xx_rngProtocolUARTBitRate;
extern RsRangeTable rsrtm20xx_rngProtoclUARTBurstIdleTime;
extern RsRangeTable rsrtm20xx_rngProtocolI2CPatternLength;
extern RsRangeTable rsrtm20xx_rngYScale;
extern RsRangeTable rsrtm20xx_rngBckLight;
extern RsRangeTable rsrtm20xx_rngRelativeMode;
extern RsRangeTable rsrtm20xx_rngChannelPolarity;
extern RsRangeTable rsrtm20xx_rngExternalTriggerCoupling;
extern RsRangeTable rsrtm20xx_rngMeasCategory;
extern RsRangeTable rsrtm20xx_rngRelLevel;
extern RsRangeTable rsrtm20xx_rngMathVerticalScale;
extern RsRangeTable rsrtm20xx_rngSearchCondition;
extern RsRangeTable rsrtm20xx_rngSearchSource;
extern RsRangeTable rsrtm20xx_rngSearchSlope;
extern RsRangeTable rsrtm20xx_rngSearchRange;
extern RsRangeTable rsrtm20xx_rngWaveformPosition;
extern RsRangeTable rsrtm20xx_rngScalingUnit;
extern RsRangeTable rsrtm20xx_rngProbeUnit;
extern RsRangeTable rsrtm20xx_rngProbeAttenuation;
extern RsRangeTable rsrtm20xx_rngAutoMeasWaveforms;
extern RsRangeTable rsrtm20xx_rngWaveformSamplesRange;
extern RsRangeTable rsrtm20xx_rngMaskTestActionExecution;
extern RsRangeTable rsrtm20xx_rngSearchTriggerPatternCombination;
extern RsRangeTable rsrtm20xx_rngNumberofAverages;
extern RsRangeTable rsrtm20xx_rngNumberOfWaveforms;
extern RsRangeTable rsrtm20xx_rngSearchGateMode;
extern RsRangeTable rsrtm20xx_rngProtocolSPITriggerSource;
extern RsRangeTable rsrtm20xx_rngProtocolUARTTriggerSource;
extern RsRangeTable rsrtm20xx_rngProtocolLINStandard;
extern RsRangeTable rsrtm20xx_rngProtocolLINTriggerMode;
extern RsRangeTable rsrtm20xx_rngProtocolCondition;
extern RsRangeTable rsrtm20xx_rngProtocolDataLength;
extern RsRangeTable rsrtm20xx_rngProtocolSearchEvent;
extern RsRangeTable rsrtm20xx_rngProtocolLINSearchFrameSetup;
extern RsRangeTable rsrtm20xx_rngProtocolCANLineType;
extern RsRangeTable rsrtm20xx_rngProtocolCANBitRate;
extern RsRangeTable rsrtm20xx_rngProtocolCANSamplePoint;
extern RsRangeTable rsrtm20xx_rngProtocolCANTriggerMode;
extern RsRangeTable rsrtm20xx_rngProtocolCANTriggerFrameType;
extern RsRangeTable rsrtm20xx_rngProtocolCANIDType;
extern RsRangeTable rsrtm20xx_rngProtocolCANSearchEvent;
extern RsRangeTable rsrtm20xx_rngProtocolCANSearchFrameSetup;
extern RsRangeTable rsrtm20xx_rngProtocolCANSearchFrameType;
extern RsRangeTable rsrtm20xx_rngProtocolLINPolarity;
extern RsRangeTable rsrtm20xx_rngProtocolSPIMISOPolarity;
extern RsRangeTable rsrtm20xx_rngAutomaticMeasurementResultIndex;
extern RsRangeTable rsrtm20xx_rngDigitalHysteresis;
extern RsRangeTable rsrtm20xx_rngTriggerHoldoffMode;
extern RsRangeTable rsrtm20xx_rngTriggerPatternMode;
extern RsRangeTable rsrtm20xx_rngTriggerOutMode;
extern RsRangeTable rsrtm20xx_rngDigitalTechnology;
extern RsRangeTable rsrtm20xx_rngParallelBusFrameEnabled;
extern RsRangeTable rsrtm20xx_rngI2CFrameTransferDirection;
extern RsRangeTable rsrtm20xx_rngFrameAddressLength;
extern RsRangeTable rsrtm20xx_rngLINFrameStatus;
extern RsRangeTable rsrtm20xx_rngLINChecksum;
extern RsRangeTable rsrtm20xx_rngLINParity;
extern RsRangeTable rsrtm20xx_rngLINFrameVersion;
extern RsRangeTable rsrtm20xx_rngLINByteEnabled;
extern RsRangeTable rsrtm20xx_rngUARTWordEnabled;
extern RsRangeTable rsrtm20xx_rngCANFrameType;
extern RsRangeTable rsrtm20xx_rngCANFrameStatus;
extern RsRangeTable rsrtm20xx_rngCANAckState;
extern RsRangeTable rsrtm20xx_rngQuestionableRegister;
extern RsRangeTable rsrtm20xx_rngRegisterPart;
extern RsRangeTable rsrtm20xx_rngProtocolSPITriggerOffset;
extern RsRangeTable rsrtm20xx_rngMeasurementSource;
extern RsRangeTable rsrtm20xx_rngPowerAnalysisType;
extern RsRangeTable rsrtm20xx_rngStatistics;
extern RsRangeTable rsrtm20xx_rngQualityType;
extern RsRangeTable rsrtm20xx_rngQualityTypePower;
extern RsRangeTable rsrtm20xx_rngConsumptionType;
extern RsRangeTable rsrtm20xx_rngHarmonicsStandard;
extern RsRangeTable rsrtm20xx_rngHarmonicsType;
extern RsRangeTable rsrtm20xx_rngLimitCheck;
extern RsRangeTable rsrtm20xx_rngRippleType;
extern RsRangeTable rsrtm20xx_rngSpectrumType;
extern RsRangeTable rsrtm20xx_rngHarmonicsFundamental;
extern RsRangeTable rsrtm20xx_rngSlewRateType;
extern RsRangeTable rsrtm20xx_rngModulationType;
extern RsRangeTable rsrtm20xx_rngModulationResultType;
extern RsRangeTable rsrtm20xx_rngEfficiencyType;
extern RsRangeTable rsrtm20xx_rngSwitchinglossType;
extern RsRangeTable rsrtm20xx_rngOnOffType;
extern RsRangeTable rsrtm20xx_rngPowerAnalysisSource;
extern RsRangeTable rsrtm20xx_rngAudioVariant;
extern RsRangeTable rsrtm20xx_rngAudioClockPolarity;
extern RsRangeTable rsrtm20xx_rngAudioTreshold;
extern RsRangeTable rsrtm20xx_rngAudioWSPolarity;
extern RsRangeTable rsrtm20xx_rngAudioChannelOrder;
extern RsRangeTable rsrtm20xx_rngProtocolAudioBitOrder;
extern RsRangeTable rsrtm20xx_rngAudioOffset;
extern RsRangeTable rsrtm20xx_rngAudioLength;
extern RsRangeTable rsrtm20xx_rngAudioTDMChannels;
extern RsRangeTable rsrtm20xx_rngAudioTriggerType;
extern RsRangeTable rsrtm20xx_rngAudioChannel;
extern RsRangeTable rsrtm20xx_rngProtocolAudioWindowLength;
extern RsRangeTable rsrtm20xx_rngAudioFrameStatus;
extern RsRangeTable rsrtm20xx_rngAudioFrameOffset;
extern RsRangeTable rsrtm20xx_rngTrackDisplayMode;
extern RsRangeTable rsrtm20xx_rngAudioTriggerCondition;
extern RsRangeTable rsrtm20xx_rnglAudioTriggerMinMax;
extern RsRangeTable rsrtm20xx_rngAudioTriggerCombination;
extern RsRangeTable rsrtm20xx_rngSelfAlignmentState;
extern RsRangeTable rsrtm20xx_rngMILSTDCodeType;
extern RsRangeTable rsrtm20xx_rngMILSTDStatus;
extern RsRangeTable rsrtm20xx_rngMILSTDDirection;
extern RsRangeTable rsrtm20xx_rngMILSTDType;
extern RsRangeTable rsrtm20xx_rngMILSTDTriggerType;
extern RsRangeTable rsrtm20xx_rngMILSTDTriggerSync;
extern RsRangeTable rsrtm20xx_rngMILSTDTriggerWord;
extern RsRangeTable rsrtm20xx_rngMILSTDTriggerCommandType;
extern RsRangeTable rsrtm20xx_rngMILSTDCondition;
extern RsRangeTable rsrtm20xx_rngMILSTDSubAddress;
extern RsRangeTable rsrtm20xx_rngMILSTDSearchCondition;
extern RsRangeTable rsrtm20xx_rngMILSTDSearchError;
extern RsRangeTable rsrtm20xx_rngHistoryPlayer;
extern RsRangeTable rsrtm20xx_rngHistorySpeed;
extern RsRangeTable rsrtm20xx_rngThresholdHysteresis;
extern RsRangeTable rsrtm20xx_rngStatus;
extern RsRangeTable rsrtm20xx_rngProtocolDataSource;
extern RsRangeTable rsrtm20xx_rngProtocolARINC429Polarity;
extern RsRangeTable rsrtm20xx_rngProtocolARINC429BitRateMode;
extern RsRangeTable rsrtm20xx_rngProtocolARINC429BitRate;
extern RsRangeTable rsrtm20xx_rngProtocolARINC429ThresholdHigh;
extern RsRangeTable rsrtm20xx_rngProtocolARINC429ThresholdLow;
extern RsRangeTable rsrtm20xx_rngProtocolARINC429ThresholdPreset;
extern RsRangeTable rsrtm20xx_rngProtocolARINC429MinGapBits;
extern RsRangeTable rsrtm20xx_rngProtocolARINC429MaxGapBits;
extern RsRangeTable rsrtm20xx_rngARINC429WordStatus;
extern RsRangeTable rsrtm20xx_rngProtocolARINC429DataFormat;
extern RsRangeTable rsrtm20xx_rngProtocolARINC429TriggerMode;
extern RsRangeTable rsrtm20xx_rngProtocolARINC429Operator;
extern RsRangeTable rsrtm20xx_rngProtocolARINC429TriggerErrorTimingMinGapBits;
extern RsRangeTable rsrtm20xx_rngProtocolARINC429TriggerErrorTimingMaxGapBits;
extern RsRangeTable rsrtm20xx_rngARINCSsmSdi;
extern RsRangeTable rsrtm20xx_rngARINC429TimingCondition;
extern RsRangeTable rsrtm20xx_rngARINC429WordType;
extern RsRangeTable rsrtm20xx_rngARINC429Type;
extern RsRangeTable rsrtm20xx_rngARINC429Error;
extern RsRangeTable rsrtm20xx_rngMILSTDTransmissionType;
extern RsRangeTable rsrtm20xx_rngMILSTDSearchWordStart;
extern RsRangeTable rsrtm20xx_rngHardcopyCommandSet;
extern RsRangeTable rsrtm20xx_rngScaleLinLog;
extern RsRangeTable rsrtm20xx_rngHarmonicsFundamentalMIL;
extern RsRangeTable rsrtm20xx_rngHarmonicsFundamentalRTC;
extern RsRangeTable rsrtm20xx_rngPowerAnalysisReportTemperature;
extern RsRangeTable rsrtm20xx_rngTransientResponseTriggerSource;
extern RsRangeTable rsrtm20xx_rngTransientResponseTubeTolerance;
extern RsRangeTable rsrtm20xx_rngTransientResponseSignal;
extern RsRangeTable rsrtm20xx_rngPowerSwitchingFrequency;
extern RsRangeTable rsrtm20xx_rngPowerScaling;
extern RsRangeTable rsrtm20xx_rngPowerTransientResponseResult;
extern RsRangeTable rsrtm20xx_rngProbeInputImpedance;
extern RsRangeTable RsRtm20xx_rngClockedSource;
extern RsRangeTable RsRtm20xx_rngPctInt;
extern RsRangeTable RsRtm20xx_rngDVMType;
extern RsRangeTable RsRtm20xx_rngDVMPosition;
extern RsRangeTable RsRtm20xx_rngMagnitudeScale;
extern RsRangeTable RsRtm20xx_rngSpectrumFrequencyWindowType;
extern RsRangeTable RsRtm20xx_rngSpectrumSpectrogramScale;
extern RsRangeTable RsRtm20xx_rngSpectrumMarkerDisplay;
extern RsRangeTable RsRtm20xx_rngSpectrumMarkerSource;
extern RsRangeTable RsRtm20xx_rngSpectrumMarkerSetupDetectionMode;
extern RsRangeTable RsRtm20xx_rngSpectrumMarkerReferenceMode;
extern RsRangeTable RsRtm20xx_rngSpectrumMarkerResultMode;
extern RsRangeTable RsRtm20xx_rngSpectrumMarkerTablePosition;
extern RsRangeTable RsRtm20xx_rngSpectrumDisplayColorScheme;

/*****************************************************************************
 *- Attributes --------------------------------------------------------------*
 *****************************************************************************/
extern RsAttrProperties g_RSRTM20XX_RS_ATTR_RANGE_CHECK;
extern RsAttrProperties g_RSRTM20XX_RS_ATTR_QUERY_INSTRUMENT_STATUS;
extern RsAttrProperties g_RSRTM20XX_RS_ATTR_CACHE;
extern RsAttrProperties g_RSRTM20XX_RS_ATTR_SIMULATE;
extern RsAttrProperties g_RSRTM20XX_RS_ATTR_RECORD_COERCIONS;
extern RsAttrProperties g_RSRTM20XX_RS_ATTR_INTERCHANGE_CHECK;
extern RsAttrProperties g_RSRTM20XX_RS_ATTR_SPY;
extern RsAttrProperties g_RSRTM20XX_RS_ATTR_USE_SPECIFIC_SIMULATION;
extern RsAttrProperties g_RSRTM20XX_RS_ATTR_CLASS_DRIVER_DESCRIPTION;
extern RsAttrProperties g_RSRTM20XX_RS_ATTR_CLASS_DRIVER_PREFIX;
extern RsAttrProperties g_RSRTM20XX_RS_ATTR_CLASS_DRIVER_VENDOR;
extern RsAttrProperties g_RSRTM20XX_RS_ATTR_CLASS_DRIVER_REVISION;
extern RsAttrProperties g_RSRTM20XX_RS_ATTR_CLASS_DRIVER_CLASS_SPEC_MAJOR_VERSION;
extern RsAttrProperties g_RSRTM20XX_RS_ATTR_CLASS_DRIVER_CLASS_SPEC_MINOR_VERSION;
extern RsAttrProperties g_RSRTM20XX_RS_ATTR_SPECIFIC_DRIVER_DESCRIPTION;
extern RsAttrProperties g_RSRTM20XX_RS_ATTR_SPECIFIC_DRIVER_PREFIX;
extern RsAttrProperties g_RSRTM20XX_RS_ATTR_SPECIFIC_DRIVER_LOCATOR;
extern RsAttrProperties g_RSRTM20XX_RS_ATTR_SPECIFIC_DRIVER_VENDOR;
extern RsAttrProperties g_RSRTM20XX_RS_ATTR_SPECIFIC_DRIVER_REVISION;
extern RsAttrProperties g_RSRTM20XX_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MAJOR_VERSION;
extern RsAttrProperties g_RSRTM20XX_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MINOR_VERSION;
extern RsAttrProperties g_RSRTM20XX_RS_ATTR_SUPPORTED_INSTRUMENT_MODELS;
extern RsAttrProperties g_RSRTM20XX_RS_ATTR_GROUP_CAPABILITIES;
extern RsAttrProperties g_RSRTM20XX_RS_ATTR_FUNCTION_CAPABILITIES;
extern RsAttrProperties g_RSRTM20XX_RS_ATTR_CHANNEL_COUNT;
extern RsAttrProperties g_RSRTM20XX_RS_ATTR_DRIVER_SETUP;
extern RsAttrProperties g_RSRTM20XX_RS_ATTR_INSTRUMENT_MANUFACTURER;
extern RsAttrProperties g_RSRTM20XX_RS_ATTR_INSTRUMENT_MODEL;
extern RsAttrProperties g_RSRTM20XX_RS_ATTR_INSTRUMENT_FIRMWARE_REVISION;
extern RsAttrProperties g_RSRTM20XX_RS_ATTR_OPTIONS_LIST;
extern RsAttrProperties g_RSRTM20XX_RS_ATTR_IO_RESOURCE_DESCRIPTOR;
extern RsAttrProperties g_RSRTM20XX_RS_ATTR_LOGICAL_NAME;
extern RsAttrProperties g_RSRTM20XX_RS_ATTR_PRIMARY_ERROR;
extern RsAttrProperties g_RSRTM20XX_RS_ATTR_SECONDARY_ERROR;
extern RsAttrProperties g_RSRTM20XX_RS_ATTR_ERROR_ELABORATION;
extern RsAttrProperties g_RSRTM20XX_RS_ATTR_VISA_RM_SESSION;
extern RsAttrProperties g_RSRTM20XX_RS_ATTR_IO_SESSION;
extern RsAttrProperties g_RSRTM20XX_RS_ATTR_IO_SESSION_TYPE;
extern RsAttrProperties g_RSRTM20XX_RS_ATTR_SPECIFIC_DRIVER_MAJOR_VERSION;
extern RsAttrProperties g_RSRTM20XX_RS_ATTR_SPECIFIC_DRIVER_MINOR_VERSION;
extern RsAttrProperties g_RSRTM20XX_RS_ATTR_SPECIFIC_DRIVER_MINOR_MINOR_VERSION;
extern RsAttrProperties g_RSRTM20XX_RS_ATTR_CLASS_DRIVER_MAJOR_VERSION;
extern RsAttrProperties g_RSRTM20XX_RS_ATTR_CLASS_DRIVER_MINOR_VERSION;
extern RsAttrProperties g_RSRTM20XX_RS_ATTR_ENGINE_MAJOR_VERSION;
extern RsAttrProperties g_RSRTM20XX_RS_ATTR_ENGINE_MINOR_VERSION;
extern RsAttrProperties g_RSRTM20XX_RS_ATTR_ENGINE_REVISION;
extern RsAttrProperties g_RSRTM20XX_RS_ATTR_OPC_CALLBACK;
extern RsAttrProperties g_RSRTM20XX_RS_ATTR_CHECK_STATUS_CALLBACK;
extern RsAttrProperties g_RSRTM20XX_RS_ATTR_OPC_TIMEOUT;
extern RsAttrProperties g_RSRTM20XX_ATTR_FILTER_FREQUENCY;
extern RsAttrProperties g_RSRTM20XX_ATTR_INTERPOLATION;
extern RsAttrProperties g_RSRTM20XX_ATTR_NUM_AVERAGES;
extern RsAttrProperties g_RSRTM20XX_ATTR_AVERAGING_STATUS;
extern RsAttrProperties g_RSRTM20XX_ATTR_NUMBER_OF_WAVEFORMS;
extern RsAttrProperties g_RSRTM20XX_ATTR_SAMPLE_MODE;
extern RsAttrProperties g_RSRTM20XX_ATTR_WAVEFORM_RATE;
extern RsAttrProperties g_RSRTM20XX_ATTR_HORZ_TIME_PER_RECORD;
extern RsAttrProperties g_RSRTM20XX_ATTR_HORZ_SCALE;
extern RsAttrProperties g_RSRTM20XX_ATTR_ACQUSITION_START_TIME;
extern RsAttrProperties g_RSRTM20XX_ATTR_ACQUISITION_TIME;
extern RsAttrProperties g_RSRTM20XX_ATTR_HORZ_ADC_SAMPLE_RATE;
extern RsAttrProperties g_RSRTM20XX_ATTR_HORZ_SAMPLE_RATE;
extern RsAttrProperties g_RSRTM20XX_ATTR_AUTOSCALE;
extern RsAttrProperties g_RSRTM20XX_ATTR_HORZ_DIVISIONS;
extern RsAttrProperties g_RSRTM20XX_ATTR_HORZ_REFERENCE;
extern RsAttrProperties g_RSRTM20XX_ATTR_ROLL_MODE;
extern RsAttrProperties g_RSRTM20XX_ATTR_TIMESTAMPS_FILENAME;
extern RsAttrProperties g_RSRTM20XX_ATTR_TIMESTAMPS_SAVE;
extern RsAttrProperties g_RSRTM20XX_ATTR_ACQUISITION_TYPE;
extern RsAttrProperties g_RSRTM20XX_ATTR_WAVEFORM_ACQUISITION_TYPE;
extern RsAttrProperties g_RSRTM20XX_ATTR_HORZ_RECORD_LENGTH;
extern RsAttrProperties g_RSRTM20XX_ATTR_GET_HORZ_RECORD_LENGTH;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROBE_TYPE;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROBE_NAME;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROBE_INPUT_IMPEDANCE;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROBE_INPUT_CAPACITANCE;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROBE_ATTENUATION;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROBE_BANDWIDTH;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROBE_DC_OFFSET;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROBE_ADDITIONAL_OFFSET;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROBE_VOLTMETER_ENABLED;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROBE_ATTENUATION_UNIT;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROBE_ATTENUATION_MANUAL;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROBE_MICRO_BUTTON_ACTION;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROBE_SOFTWARE_VERSION;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROBE_PRODUCTION_DATE;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROBE_PART_NUMBER;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROBE_BUILD_NUMBER;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROBE_SERIAL_NUMBER;
extern RsAttrProperties g_RSRTM20XX_ATTR_LABEL_ENABLED;
extern RsAttrProperties g_RSRTM20XX_ATTR_LABEL_NAME;
extern RsAttrProperties g_RSRTM20XX_ATTR_BUS_LABEL_ENABLED;
extern RsAttrProperties g_RSRTM20XX_ATTR_BUS_LABEL_NAME;
extern RsAttrProperties g_RSRTM20XX_ATTR_CHANNEL_ENABLED;
extern RsAttrProperties g_RSRTM20XX_ATTR_VERTICAL_RANGE;
extern RsAttrProperties g_RSRTM20XX_ATTR_VERTICAL_OFFSET;
extern RsAttrProperties g_RSRTM20XX_ATTR_VERTICAL_COUPLING;
extern RsAttrProperties g_RSRTM20XX_ATTR_VERTICAL_SCALE;
extern RsAttrProperties g_RSRTM20XX_ATTR_CHANNEL_OFFSET;
extern RsAttrProperties g_RSRTM20XX_ATTR_CHANNEL_BANDWIDTH_LIMIT;
extern RsAttrProperties g_RSRTM20XX_ATTR_CHANNEL_POLARITY;
extern RsAttrProperties g_RSRTM20XX_ATTR_CHANNEL_OVERLOAD;
extern RsAttrProperties g_RSRTM20XX_ATTR_CHANNEL_SKEW;
extern RsAttrProperties g_RSRTM20XX_ATTR_CHANNEL_THRESHOLD;
extern RsAttrProperties g_RSRTM20XX_ATTR_CHANNEL_THRESHOLD_HYSTERESIS;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_FIND_LEVEL;
extern RsAttrProperties g_RSRTM20XX_ATTR_CHANNEL_ALL_OFF;
extern RsAttrProperties g_RSRTM20XX_ATTR_CHANNEL_ALL_ON;
extern RsAttrProperties g_RSRTM20XX_ATTR_DIGITAL_ENABLED;
extern RsAttrProperties g_RSRTM20XX_ATTR_DIGITAL_DESKEW;
extern RsAttrProperties g_RSRTM20XX_ATTR_DIGITAL_THRESHOLD;
extern RsAttrProperties g_RSRTM20XX_ATTR_DIGITAL_TECHNOLOGY;
extern RsAttrProperties g_RSRTM20XX_ATTR_DIGITAL_HYSTERESIS;
extern RsAttrProperties g_RSRTM20XX_ATTR_DIGITAL_APPLY;
extern RsAttrProperties g_RSRTM20XX_ATTR_DIGITAL_LABEL;
extern RsAttrProperties g_RSRTM20XX_ATTR_DIGITAL_LABEL_ENABLED;
extern RsAttrProperties g_RSRTM20XX_ATTR_DIGITAL_VERTICAL_CHANNEL_SIZE;
extern RsAttrProperties g_RSRTM20XX_ATTR_DIGITAL_VERTICAL_POSITION;
extern RsAttrProperties g_RSRTM20XX_ATTR_DIGITAL_CURRENT_STATUS_MAXIMUM;
extern RsAttrProperties g_RSRTM20XX_ATTR_DIGITAL_CURRENT_STATUS_MINIMUM;
extern RsAttrProperties g_RSRTM20XX_ATTR_TRIGGER_TYPE_A;
extern RsAttrProperties g_RSRTM20XX_ATTR_TRIGGER_SOURCE_A;
extern RsAttrProperties g_RSRTM20XX_ATTR_TRIGGER_SOURCE_B;
extern RsAttrProperties g_RSRTM20XX_ATTR_EXTERNAL_TRIGGER_COUPLING;
extern RsAttrProperties g_RSRTM20XX_ATTR_EXTERNAL_TRIGGER_TERMINATION;
extern RsAttrProperties g_RSRTM20XX_ATTR_EXTERNAL_TRIGGER_OVERLOAD;
extern RsAttrProperties g_RSRTM20XX_ATTR_TRIGGER_HOLDOFF_TIME;
extern RsAttrProperties g_RSRTM20XX_ATTR_TRIGGER_HOLDOFF_MODE;
extern RsAttrProperties g_RSRTM20XX_ATTR_TRIGGER_HYSTERESIS_A;
extern RsAttrProperties g_RSRTM20XX_ATTR_TRIGGER_HYSTERESIS_A_LEVEL;
extern RsAttrProperties g_RSRTM20XX_ATTR_TRIGGER_HYSTERESIS_B;
extern RsAttrProperties g_RSRTM20XX_ATTR_TRIGGER_HYSTERESIS_B_LEVEL;
extern RsAttrProperties g_RSRTM20XX_ATTR_TRIGGER_ENABLED;
extern RsAttrProperties g_RSRTM20XX_ATTR_TRIGGER_MODIFIER_A;
extern RsAttrProperties g_RSRTM20XX_ATTR_TRIGGER_MODIFIER_B;
extern RsAttrProperties g_RSRTM20XX_ATTR_TRIGGER_EVENT_COUNT;
extern RsAttrProperties g_RSRTM20XX_ATTR_TRIGGER_LEVEL_AUTO_FIND_A;
extern RsAttrProperties g_RSRTM20XX_ATTR_TRIGGER_LEVEL_AUTO_FIND_B;
extern RsAttrProperties g_RSRTM20XX_ATTR_TRIGGER_LEVEL_LOWER;
extern RsAttrProperties g_RSRTM20XX_ATTR_TRIGGER_LEVEL_UPPER;
extern RsAttrProperties g_RSRTM20XX_ATTR_TRIGGER_DELAY;
extern RsAttrProperties g_RSRTM20XX_ATTR_TRIGGER_LEVEL_A;
extern RsAttrProperties g_RSRTM20XX_ATTR_TRIGGER_LEVEL_B;
extern RsAttrProperties g_RSRTM20XX_ATTR_TRIGGER_SLOPE_A;
extern RsAttrProperties g_RSRTM20XX_ATTR_TRIGGER_SLOPE_B;
extern RsAttrProperties g_RSRTM20XX_ATTR_TRIGGER_COUPLING;
extern RsAttrProperties g_RSRTM20XX_ATTR_TRIGGER_FILTER_LOW;
extern RsAttrProperties g_RSRTM20XX_ATTR_TRIGGER_FILTER_HIGH;
extern RsAttrProperties g_RSRTM20XX_ATTR_TV_TRIGGER_EVENT;
extern RsAttrProperties g_RSRTM20XX_ATTR_TV_TRIGGER_LINE_NUMBER;
extern RsAttrProperties g_RSRTM20XX_ATTR_TV_TRIGGER_POLARITY;
extern RsAttrProperties g_RSRTM20XX_ATTR_TV_STANDARD;
extern RsAttrProperties g_RSRTM20XX_ATTR_WIDTH;
extern RsAttrProperties g_RSRTM20XX_ATTR_WIDTH_DELTA;
extern RsAttrProperties g_RSRTM20XX_ATTR_WIDTH_POLARITY;
extern RsAttrProperties g_RSRTM20XX_ATTR_WIDTH_CONDITION;
extern RsAttrProperties g_RSRTM20XX_ATTR_TRIGGER_PATTERN_SOURCE;
extern RsAttrProperties g_RSRTM20XX_ATTR_TRIGGER_PATTERN_FUNCTION;
extern RsAttrProperties g_RSRTM20XX_ATTR_TRIGGER_PATTERN_POINT_ENABLED;
extern RsAttrProperties g_RSRTM20XX_ATTR_TRIGGER_PATTERN_MODE;
extern RsAttrProperties g_RSRTM20XX_ATTR_TRIGGER_PATTERN_WIDTH;
extern RsAttrProperties g_RSRTM20XX_ATTR_TRIGGER_PATTERN_WIDTH_DELTA;
extern RsAttrProperties g_RSRTM20XX_ATTR_TRIGGER_PATTERN_WIDTH_CONDITION;
extern RsAttrProperties g_RSRTM20XX_ATTR_TRIGGER_TIME_POLARITY;
extern RsAttrProperties g_RSRTM20XX_ATTR_TRIGGER_TIME_CONDITION;
extern RsAttrProperties g_RSRTM20XX_ATTR_TRIGGER_TIME;
extern RsAttrProperties g_RSRTM20XX_ATTR_TRIGGER_TIME_DELTA;
extern RsAttrProperties g_RSRTM20XX_ATTR_TRIGGER_OUT_MODE;
extern RsAttrProperties g_RSRTM20XX_ATTR_TRIGGER_OUT_POLARITY;
extern RsAttrProperties g_RSRTM20XX_ATTR_TRIGGER_OUT_PULSE_WIDTH;
extern RsAttrProperties g_RSRTM20XX_ATTR_RUNT_TRIGGER_POLARITY;
extern RsAttrProperties g_RSRTM20XX_ATTR_RUNT_TRIGGER_LOWER_LEVEL;
extern RsAttrProperties g_RSRTM20XX_ATTR_RUNT_TRIGGER_UPPER_LEVEL;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_I2C_TRIGGER_ACCESS;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_I2C_TRIGGER_ADDRESS_TYPE;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_I2C_TRIGGER_ADDRESS;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_I2C_TRIGGER_MODE;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_I2C_TRIGGER_CONDITION_LENGTH;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_I2C_TRIGGER_BIT_PATTERN;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_I2C_TRIGGER_FIRST_BYTE_OFFSET;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_SPI_TRIGGER_MODE;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_SPI_TRIGGER_OFFSET;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_SPI_BIT_PATTERN_LENGTH;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_SPI_BIT_PATTERN;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_UART_TRIGGER_MODE;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_UART_TRIGGER_DATA_PATTERN;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_UART_TRIGGER_DATA_POSITION_INDEX_MIN;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_UART_TRIGGER_CONDITION_LENGTH;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_LIN_TRIGGER_MODE;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_LIN_TRIGGER_CONDITION_ID;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_LIN_TRIGGER_CONDITION_DATA;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_LIN_TRIGGER_ID_PATTERN;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_LIN_TRIGGER_DATA_LENGTH;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_LIN_TRIGGER_DATA_PATTERN;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_LIN_TRIGGER_ERROR_CHECKSUM;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_LIN_TRIGGER_ERROR_PARITY;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_LIN_TRIGGER_ERROR_SYNC;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_CAN_TRIGGER_MODE;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_CAN_TRIGGER_FRAME_TYPE;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_CAN_TRIGGER_CONDITION_ID;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_CAN_TRIGGER_CONDITION_DATA;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_CAN_TRIGGER_ID_TYPE;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_CAN_TRIGGER_ID_PATTERN;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_CAN_TRIGGER_DATA_LENGTH;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_CAN_TRIGGER_DATA_PATTERN;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_CAN_TRIGGER_ERROR_CRC;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_CAN_TRIGGER_ERROR_STUFFING;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_CAN_TRIGGER_ERROR_FORM;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_CAN_TRIGGER_ERROR_ACK;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_AUDIO_TRIGGER_TYPE;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_AUDIO_TRIGGER_WINDOW_LENGTH;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_AUDIO_TRIGGER_WORD_SELECT_SLOPE;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_AUDIO_TRIGGER_RIGHT_CONDITION;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_AUDIO_TRIGGER_RIGHT_MINIMUM;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_AUDIO_TRIGGER_RIGHT_MAXIMUM;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_AUDIO_TRIGGER_LEFT_CONDITION;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_AUDIO_TRIGGER_LEFT_MINIMUM;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_AUDIO_TRIGGER_LEFT_MAXIMUM;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_AUDIO_TRIGGER_COMBINATION;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_AUDIO_TRIGGER_CHANNEL_CONDITION;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_AUDIO_TRIGGER_CHANNEL_MINIMUM;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_AUDIO_TRIGGER_CHANNEL_MAXIMUM;
extern RsAttrProperties g_RSRTM20XX_ATTR_MILSTD_TRIGGER_TYPE;
extern RsAttrProperties g_RSRTM20XX_ATTR_MILSTD_TRIGGER_SYNCHRONIZATION;
extern RsAttrProperties g_RSRTM20XX_ATTR_MILSTD_TRIGGER_WORD;
extern RsAttrProperties g_RSRTM20XX_ATTR_MILSTD_TRIGGER_TRANSMISSION_TYPE;
extern RsAttrProperties g_RSRTM20XX_ATTR_MILSTD_TRIGGER_SYNCHRONIZATION_ERROR;
extern RsAttrProperties g_RSRTM20XX_ATTR_MILSTD_TRIGGER_TIMEOUT_ERROR;
extern RsAttrProperties g_RSRTM20XX_ATTR_MILSTD_TRIGGER_PARITY_ERROR;
extern RsAttrProperties g_RSRTM20XX_ATTR_MILSTD_TRIGGER_MANCHESTER_ERROR;
extern RsAttrProperties g_RSRTM20XX_ATTR_MILSTD_TRIGGER_COMMAND_TYPE;
extern RsAttrProperties g_RSRTM20XX_ATTR_MILSTD_TRIGGER_COMMAND_DATA_DIRECTION;
extern RsAttrProperties g_RSRTM20XX_ATTR_MILSTD_TRIGGER_RT_ADDRESS_CONDITION;
extern RsAttrProperties g_RSRTM20XX_ATTR_MILSTD_TRIGGER_RT_ADDRESS_MINIMUM;
extern RsAttrProperties g_RSRTM20XX_ATTR_MILSTD_TRIGGER_RT_ADDRESS_MAXIMUM;
extern RsAttrProperties g_RSRTM20XX_ATTR_MILSTD_TRIGGER_SUB_ADDRESS_CONDITION;
extern RsAttrProperties g_RSRTM20XX_ATTR_MILSTD_TRIGGER_SUB_ADDRESS_MINIMUM;
extern RsAttrProperties g_RSRTM20XX_ATTR_MILSTD_TRIGGER_SUB_ADDRESS_MAXIMUM;
extern RsAttrProperties g_RSRTM20XX_ATTR_MILSTD_TRIGGER_SUB_ADDRESS;
extern RsAttrProperties g_RSRTM20XX_ATTR_MILSTD_TRIGGER_WORD_CONDITION;
extern RsAttrProperties g_RSRTM20XX_ATTR_MILSTD_WORD_ADDRESS_MINIMUM;
extern RsAttrProperties g_RSRTM20XX_ATTR_MILSTD_WORD_ADDRESS_MAXIMUM;
extern RsAttrProperties g_RSRTM20XX_ATTR_MILSTD_TRIGGER_COMMAND_MODE_CODE;
extern RsAttrProperties g_RSRTM20XX_ATTR_MILSTD_TRIGGER_COMMAND_MODE_VALUE;
extern RsAttrProperties g_RSRTM20XX_ATTR_MILSTD_TRIGGER_RECEIVED_BIT_STATUS;
extern RsAttrProperties g_RSRTM20XX_ATTR_MILSTD_TRIGGER_BUSY_BIT_STATUS;
extern RsAttrProperties g_RSRTM20XX_ATTR_MILSTD_TRIGGER_BUS_CONTROL_BIT_STATUS;
extern RsAttrProperties g_RSRTM20XX_ATTR_MILSTD_TRIGGER_INSTRUMENTATION_BIT_STATUS;
extern RsAttrProperties g_RSRTM20XX_ATTR_MILSTD_TRIGGER_MESSAGE_ERROR_BIT_STATUS;
extern RsAttrProperties g_RSRTM20XX_ATTR_MILSTD_TRIGGER_SERVICE_REQUEST_BIT_STATUS;
extern RsAttrProperties g_RSRTM20XX_ATTR_MILSTD_TRIGGER_SUBSYSTEM_BIT_STATUS;
extern RsAttrProperties g_RSRTM20XX_ATTR_MILSTD_TRIGGER_TERMINAL_BIT_STATUS;
extern RsAttrProperties g_RSRTM20XX_ATTR_MILSTD_TRIGGER_DATA_CONDITION;
extern RsAttrProperties g_RSRTM20XX_ATTR_MILSTD_TRIGGER_DATA_MINIMUM;
extern RsAttrProperties g_RSRTM20XX_ATTR_MILSTD_TRIGGER_DATA_MAXIMUM;
extern RsAttrProperties g_RSRTM20XX_ATTR_MILSTD_TRIGGER_DATA_OFFSET_CONDITION;
extern RsAttrProperties g_RSRTM20XX_ATTR_MILSTD_TRIGGER_DATA_OFFSET;
extern RsAttrProperties g_RSRTM20XX_ATTR_MILSTD_TRIGGER_DATA_OFFSET_WORDS;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_ARINC429_TRIGGER_TYPE;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_ARINC429_TRIGGER_WORD_TYPE;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_ARINC429_TRIGGER_ERROR_CODING_ERROR;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_ARINC429_TRIGGER_ERROR_PARITY_ERROR;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_ARINC429_TRIGGER_ERROR_GAP_ERROR;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_ARINC429_TRIGGER_LABEL_DATA_SDI;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_ARINC429_TRIGGER_LABEL_DATA_SSM;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_ARINC429_TRIGGER_LABEL_DATA_FORMAT;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_ARINC429_TRIGGER_LABEL_PATTERN_CONDITION;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_ARINC429_TRIGGER_LABEL_PATTERN_MIN;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_ARINC429_TRIGGER_LABEL_PATTERN_MAX;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_ARINC429_TRIGGER_DATA_PATTERN_CONDITION;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_ARINC429_TRIGGER_DATA_PATTERN_MIN;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_ARINC429_TRIGGER_DATA_PATTERN_MAX;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_ARINC429_TRIGGER_DATA_OFFSET;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_ARINC429_TRIGGER_DATA_SIZE;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_ARINC429_TRIGGER_TIMING_CONDITION;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_ARINC429_TRIGGER_TIMING_MIN;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_ARINC429_TRIGGER_TIMING_MAX;
extern RsAttrProperties g_RSRTM20XX_ATTR_RUN_SINGLE;
extern RsAttrProperties g_RSRTM20XX_ATTR_RUN_SINGLE_WAIT_FOR_OPC;
extern RsAttrProperties g_RSRTM20XX_ATTR_RUN_CONTINUOUS;
extern RsAttrProperties g_RSRTM20XX_ATTR_STOP;
extern RsAttrProperties g_RSRTM20XX_ATTR_SEND_SW_TRIGGER;
extern RsAttrProperties g_RSRTM20XX_ATTR_WAVEFORM_SAMPLES;
extern RsAttrProperties g_RSRTM20XX_ATTR_WAVEFORM_CONVERSION_X_START;
extern RsAttrProperties g_RSRTM20XX_ATTR_WAVEFORM_CONVERSION_X_INCREMENT;
extern RsAttrProperties g_RSRTM20XX_ATTR_WAVEFORM_CONVERSION_Y_START;
extern RsAttrProperties g_RSRTM20XX_ATTR_WAVEFORM_CONVERSION_Y_INCREMENT;
extern RsAttrProperties g_RSRTM20XX_ATTR_WAVEFORM_CONVERSION_Y_RESOLUTION;
extern RsAttrProperties g_RSRTM20XX_ATTR_ENVELOPE_WAVEFORM_DATA_POINTS;
extern RsAttrProperties g_RSRTM20XX_ATTR_ENVELOPE_WAVEFORM_CONVERSION_X_START;
extern RsAttrProperties g_RSRTM20XX_ATTR_ENVELOPE_WAVEFORM_CONVERSION_X_INCREMENT;
extern RsAttrProperties g_RSRTM20XX_ATTR_ENVELOPE_WAVEFORM_CONVERSION_Y_START;
extern RsAttrProperties g_RSRTM20XX_ATTR_ENVELOPE_WAVEFORM_CONVERSION_Y_INCREMENT;
extern RsAttrProperties g_RSRTM20XX_ATTR_ENVELOPE_WAVEFORM_CONVERSION_Y_RESOLUTION;
extern RsAttrProperties g_RSRTM20XX_ATTR_MATH_WAVEFORM_CONVERSION_X_START;
extern RsAttrProperties g_RSRTM20XX_ATTR_MATH_WAVEFORM_CONVERSION_X_INCREMENT;
extern RsAttrProperties g_RSRTM20XX_ATTR_MATH_WAVEFORM_CONVERSION_Y_START;
extern RsAttrProperties g_RSRTM20XX_ATTR_MATH_WAVEFORM_CONVERSION_Y_INCREMENT;
extern RsAttrProperties g_RSRTM20XX_ATTR_MATH_WAVEFORM_CONVERSION_Y_RESOLUTION;
extern RsAttrProperties g_RSRTM20XX_ATTR_REFERENCE_WAVEFORM_CONVERSION_X_START;
extern RsAttrProperties g_RSRTM20XX_ATTR_REFERENCE_WAVEFORM_CONVERSION_X_INCREMENT;
extern RsAttrProperties g_RSRTM20XX_ATTR_REFERENCE_WAVEFORM_CONVERSION_Y_START;
extern RsAttrProperties g_RSRTM20XX_ATTR_REFERENCE_WAVEFORM_CONVERSION_Y_INCREMENT;
extern RsAttrProperties g_RSRTM20XX_ATTR_REFERENCE_WAVEFORM_CONVERSION_Y_RESOLUTION;
extern RsAttrProperties g_RSRTM20XX_ATTR_MASK_DATA_CONVERSION_X_START;
extern RsAttrProperties g_RSRTM20XX_ATTR_MASK_DATA_CONVERSION_X_INCREMENT;
extern RsAttrProperties g_RSRTM20XX_ATTR_MASK_DATA_CONVERSION_Y_START;
extern RsAttrProperties g_RSRTM20XX_ATTR_MASK_DATA_CONVERSION_Y_INCREMENT;
extern RsAttrProperties g_RSRTM20XX_ATTR_MASK_DATA_CONVERSION_Y_RESOLUTION;
extern RsAttrProperties g_RSRTM20XX_ATTR_CURSOR_ENABLED;
extern RsAttrProperties g_RSRTM20XX_ATTR_ALL_CURSORS_OFF;
extern RsAttrProperties g_RSRTM20XX_ATTR_CURSOR_MEASUREMENT_TYPE;
extern RsAttrProperties g_RSRTM20XX_ATTR_CURSOR_SOURCE;
extern RsAttrProperties g_RSRTM20XX_ATTR_CURSOR_TRACKING;
extern RsAttrProperties g_RSRTM20XX_ATTR_CURSOR_X_POSITION_COUPLING;
extern RsAttrProperties g_RSRTM20XX_ATTR_CURSOR_Y_POSITION_COUPLING;
extern RsAttrProperties g_RSRTM20XX_ATTR_CURSOR_ADJUSTMENT;
extern RsAttrProperties g_RSRTM20XX_ATTR_CURSOR_X_RATIO_MEASUREMENT_UNIT;
extern RsAttrProperties g_RSRTM20XX_ATTR_CURSOR_Y_RATIO_MEASUREMENT_UNIT;
extern RsAttrProperties g_RSRTM20XX_ATTR_CURSOR_X_RATIO_MEASUREMENT;
extern RsAttrProperties g_RSRTM20XX_ATTR_CURSOR_Y_RATIO_MEASUREMENT;
extern RsAttrProperties g_RSRTM20XX_ATTR_CURSOR_DISTANCE_HORIZONTAL;
extern RsAttrProperties g_RSRTM20XX_ATTR_CURSOR_DISTANCE_VERTICAL;
extern RsAttrProperties g_RSRTM20XX_ATTR_CURSOR_INVERSE_DISTANCE;
extern RsAttrProperties g_RSRTM20XX_ATTR_CURSOR_VOLTAGE_INVERSE_DISTANCE_HORIZONTAL;
extern RsAttrProperties g_RSRTM20XX_ATTR_CURSOR_VOLTAGE_INVERSE_DISTANCE_VERTICAL;
extern RsAttrProperties g_RSRTM20XX_ATTR_CURSOR_POSITION;
extern RsAttrProperties g_RSRTM20XX_ATTR_CURSOR_AUTOSET;
extern RsAttrProperties g_RSRTM20XX_ATTR_CURSOR_RESET;
extern RsAttrProperties g_RSRTM20XX_ATTR_CURSOR_PEAK_NEXT;
extern RsAttrProperties g_RSRTM20XX_ATTR_CURSOR_PEAK_PREVIOUS;
extern RsAttrProperties g_RSRTM20XX_ATTR_CURSOR_X1_POSITION;
extern RsAttrProperties g_RSRTM20XX_ATTR_CURSOR_X2_POSITION;
extern RsAttrProperties g_RSRTM20XX_ATTR_CURSOR_X3_POSITION;
extern RsAttrProperties g_RSRTM20XX_ATTR_CURSOR_Y1_POSITION;
extern RsAttrProperties g_RSRTM20XX_ATTR_CURSOR_Y2_POSITION;
extern RsAttrProperties g_RSRTM20XX_ATTR_CURSOR_Y3_POSITION;
extern RsAttrProperties g_RSRTM20XX_ATTR_MEAS_RELATIVE_MODE;
extern RsAttrProperties g_RSRTM20XX_ATTR_MEAS_RELATIVE_LOWER_LEVEL;
extern RsAttrProperties g_RSRTM20XX_ATTR_MEAS_RELATIVE_UPPER_LEVEL;
extern RsAttrProperties g_RSRTM20XX_ATTR_MEAS_RELATIVE_MIDDLE_LEVEL;
extern RsAttrProperties g_RSRTM20XX_ATTR_MAIN_MEASUREMENT_RESULT_FREQUENCY;
extern RsAttrProperties g_RSRTM20XX_ATTR_MAIN_MEASUREMENT_RESULT_PERIOD;
extern RsAttrProperties g_RSRTM20XX_ATTR_MAIN_MEASUREMENT_RESULT_PEAK;
extern RsAttrProperties g_RSRTM20XX_ATTR_MAIN_MEASUREMENT_RESULT_MAXIMUM_PEAK;
extern RsAttrProperties g_RSRTM20XX_ATTR_MAIN_MEASUREMENT_RESULT_MINIMUM_PEAK;
extern RsAttrProperties g_RSRTM20XX_ATTR_MAIN_MEASUREMENT_RESULT_POSITIVE_PULSES;
extern RsAttrProperties g_RSRTM20XX_ATTR_MAIN_MEASUREMENT_RESULT_NEGATIVE_PULSES;
extern RsAttrProperties g_RSRTM20XX_ATTR_MAIN_MEASUREMENT_RESULT_RISING_EDGES;
extern RsAttrProperties g_RSRTM20XX_ATTR_MAIN_MEASUREMENT_RESULT_FALLING_EDGES;
extern RsAttrProperties g_RSRTM20XX_ATTR_MAIN_MEASUREMENT_RESULT_HIGH_LEVEL;
extern RsAttrProperties g_RSRTM20XX_ATTR_MAIN_MEASUREMENT_RESULT_LOW_LEVEL;
extern RsAttrProperties g_RSRTM20XX_ATTR_MAIN_MEASUREMENT_RESULT_AMPLITUDE;
extern RsAttrProperties g_RSRTM20XX_ATTR_MAIN_MEASUREMENT_RESULT_MEAN;
extern RsAttrProperties g_RSRTM20XX_ATTR_MAIN_MEASUREMENT_RESULT_RMS;
extern RsAttrProperties g_RSRTM20XX_ATTR_MAIN_MEASUREMENT_RESULT_RISE_TIME;
extern RsAttrProperties g_RSRTM20XX_ATTR_MAIN_MEASUREMENT_RESULT_FALLING_TIME;
extern RsAttrProperties g_RSRTM20XX_ATTR_MAIN_MEASUREMENT_RESULT_POSITIVE_CYCLE;
extern RsAttrProperties g_RSRTM20XX_ATTR_MAIN_MEASUREMENT_RESULT_NEGATIVE_CYCLE;
extern RsAttrProperties g_RSRTM20XX_ATTR_MAIN_MEASUREMENT_RESULT_WIDTH_POSITIVE_PULSE;
extern RsAttrProperties g_RSRTM20XX_ATTR_MAIN_MEASUREMENT_RESULT_WIDTH_NEGATIVE_PULSE;
extern RsAttrProperties g_RSRTM20XX_ATTR_MAIN_MEASUREMENT_RESULT_MEAN_VALUE;
extern RsAttrProperties g_RSRTM20XX_ATTR_MAIN_MEASUREMENT_RESULT_RMS_VALUE;
extern RsAttrProperties g_RSRTM20XX_ATTR_MAIN_MEASUREMENT_RESULT_STANDARD_DEVIATIONS;
extern RsAttrProperties g_RSRTM20XX_ATTR_MAIN_MEASUREMENT_RESULT_STANDARD_DEVIATION_VALUE;
extern RsAttrProperties g_RSRTM20XX_ATTR_MAIN_MEASUREMENT_RESULT_TRIGGER_FREQUENCY;
extern RsAttrProperties g_RSRTM20XX_ATTR_MAIN_MEASUREMENT_RESULT_TRIGGER_PERIOD;
extern RsAttrProperties g_RSRTM20XX_ATTR_MAIN_MEASUREMENT_RESULT_DELAY;
extern RsAttrProperties g_RSRTM20XX_ATTR_MAIN_MEASUREMENT_RESULT_PHASE;
extern RsAttrProperties g_RSRTM20XX_ATTR_MAIN_MEASUREMENT_RESULT_BURST_WIDTH;
extern RsAttrProperties g_RSRTM20XX_ATTR_MAIN_MEASUREMENT_RESULT_POSITIVE_OVERSHOOT;
extern RsAttrProperties g_RSRTM20XX_ATTR_MAIN_MEASUREMENT_RESULT_NEGATIVE_OVERSHOOT;
extern RsAttrProperties g_RSRTM20XX_ATTR_MAIN_MEASUREMENT_RESULT_B_TRIGGER_FREQUENCY;
extern RsAttrProperties g_RSRTM20XX_ATTR_MAIN_MEASUREMENT_RESULT_B_TRIGGER_PERIOD;
extern RsAttrProperties g_RSRTM20XX_ATTR_MAIN_MEASUREMENT_RESULT_AVERAGE_VALUE;
extern RsAttrProperties g_RSRTM20XX_ATTR_MAIN_MEASUREMENT_RESULT_STANDARD_DEVIATION;
extern RsAttrProperties g_RSRTM20XX_ATTR_MAIN_MEASUREMENT_RESULT_NEGATIVE_PEAK;
extern RsAttrProperties g_RSRTM20XX_ATTR_MAIN_MEASUREMENT_RESULT_POSITIVE_PEAK;
extern RsAttrProperties g_RSRTM20XX_ATTR_MAIN_MEASUREMENT_RESULT_WAVEFORM_COUNT;
extern RsAttrProperties g_RSRTM20XX_ATTR_AMPT_MAIN_MEASUREMENT;
extern RsAttrProperties g_RSRTM20XX_ATTR_MEASUREMENT_ENABLED;
extern RsAttrProperties g_RSRTM20XX_ATTR_MEASUREMENT_CATEGORY;
extern RsAttrProperties g_RSRTM20XX_ATTR_QUICK_MEASUREMENTS_ENABLE;
extern RsAttrProperties g_RSRTM20XX_ATTR_QUICK_MEASUREMENTS_DISABLE;
extern RsAttrProperties g_RSRTM20XX_ATTR_QUICK_MEASUREMENTS_ENABLE_WITH_STATUS_BIT;
extern RsAttrProperties g_RSRTM20XX_ATTR_AUTOMATIC_MEASUREMENT_ENABLED;
extern RsAttrProperties g_RSRTM20XX_ATTR_AUTOMATIC_MEASUREMENT_NUMBER_OF_WAVEFORMS;
extern RsAttrProperties g_RSRTM20XX_ATTR_RESET_AUTOMATIC_MEASUREMENT;
extern RsAttrProperties g_RSRTM20XX_ATTR_AUTOMATIC_MEASUREMENT_NUMBER_OF_MEASURED_WAVEFORMS;
extern RsAttrProperties g_RSRTM20XX_ATTR_AUTOMATIC_MEASUREMENT_RESULT_AVERAGE_VALUE;
extern RsAttrProperties g_RSRTM20XX_ATTR_AUTOMATIC_MEASUREMENT_RESULT_STANDARD_DEVIATION;
extern RsAttrProperties g_RSRTM20XX_ATTR_AUTOMATIC_MEASUREMENT_RESULT_NEGATIVE_PEAK;
extern RsAttrProperties g_RSRTM20XX_ATTR_AUTOMATIC_MEASUREMENT_RESULT_POSITIVE_PEAK;
extern RsAttrProperties g_RSRTM20XX_ATTR_AUTOMATIC_MEASUREMENT_RESULT_INDEX;
extern RsAttrProperties g_RSRTM20XX_ATTR_AUTOMATIC_MEASUREMENT_SINGLE_STATISTICAL_VALUE;
extern RsAttrProperties g_RSRTM20XX_ATTR_EXPORT_AUTOMATIC_MEASUREMENTS_NAME;
extern RsAttrProperties g_RSRTM20XX_ATTR_EXPORT_AUTOMATIC_MEASUREMENT_SAVE;
extern RsAttrProperties g_RSRTM20XX_ATTR_EXPORT_AUTOMATIC_MEASUREMENTS_ALL_NAME;
extern RsAttrProperties g_RSRTM20XX_ATTR_EXPORT_AUTOMATIC_MEASUREMENT_ALL_SAVE;
extern RsAttrProperties g_RSRTM20XX_ATTR_MATH_WAVEFORM_HEADER;
extern RsAttrProperties g_RSRTM20XX_ATTR_MATH_WAVEFORM_DATA_POINTS;
extern RsAttrProperties g_RSRTM20XX_ATTR_MATH_WAVEFORM_ENABLED;
extern RsAttrProperties g_RSRTM20XX_ATTR_MATH_WAVEFORM_POSITION;
extern RsAttrProperties g_RSRTM20XX_ATTR_MATH_VERTICAL_SCALE;
extern RsAttrProperties g_RSRTM20XX_ATTR_MATH_ACQUISITION_TYPE;
extern RsAttrProperties g_RSRTM20XX_ATTR_MATH_EXPRESSION;
extern RsAttrProperties g_RSRTM20XX_ATTR_FFT_CENTER_FREQUENCY;
extern RsAttrProperties g_RSRTM20XX_ATTR_FFT_FREQUENCY_SPAN;
extern RsAttrProperties g_RSRTM20XX_ATTR_FFT_FULL_SPAN;
extern RsAttrProperties g_RSRTM20XX_ATTR_FFT_START_FREQUENCY;
extern RsAttrProperties g_RSRTM20XX_ATTR_FFT_STOP_FREQUENCY;
extern RsAttrProperties g_RSRTM20XX_ATTR_FFT_AVERAGING;
extern RsAttrProperties g_RSRTM20XX_ATTR_FFT_AVERAGING_STATUS;
extern RsAttrProperties g_RSRTM20XX_ATTR_FFT_WINDOW_TYPE;
extern RsAttrProperties g_RSRTM20XX_ATTR_FFT_RESOLUTION_BANDWIDTH;
extern RsAttrProperties g_RSRTM20XX_ATTR_FFT_RESOLUTION_BANDWIDTH_COUPLING_ENABLED;
extern RsAttrProperties g_RSRTM20XX_ATTR_FFT_RESOLUTION_BANDWIDTH_RATIO;
extern RsAttrProperties g_RSRTM20XX_ATTR_FFT_EFFECTIVE_RESOLUTION_BANDWIDTH;
extern RsAttrProperties g_RSRTM20XX_ATTR_FFT_SCALING_UNIT;
extern RsAttrProperties g_RSRTM20XX_ATTR_FFT_SAMPLE_RATE;
extern RsAttrProperties g_RSRTM20XX_ATTR_FFT_YT_WINDOW_POSITION;
extern RsAttrProperties g_RSRTM20XX_ATTR_FFT_YT_WINDOW_WIDTH;
extern RsAttrProperties g_RSRTM20XX_ATTR_REFERENCE_WAVEFORM_HEADER;
extern RsAttrProperties g_RSRTM20XX_ATTR_REFERENCE_WAVEFORM_DATA_POINTS;
extern RsAttrProperties g_RSRTM20XX_ATTR_REFERENCE_WAVEFORM_SOURCE;
extern RsAttrProperties g_RSRTM20XX_ATTR_REFERENCE_WAVEFORM_UPDATE;
extern RsAttrProperties g_RSRTM20XX_ATTR_REFERENCE_WAVEFORM_DISPLAY_ENABLED;
extern RsAttrProperties g_RSRTM20XX_ATTR_REFERENCE_WAVEFORM_LOAD_FROM_FILE;
extern RsAttrProperties g_RSRTM20XX_ATTR_REFERENCE_WAVEFORM_LOAD_CONFIGURATION;
extern RsAttrProperties g_RSRTM20XX_ATTR_REFERENCE_WAVEFORM_SAVE_TO_FILE;
extern RsAttrProperties g_RSRTM20XX_ATTR_REFERENCE_WAVEFORM_CATALOG;
extern RsAttrProperties g_RSRTM20XX_ATTR_REFERENCE_WAVEFORM_VERTICAL_SCALE;
extern RsAttrProperties g_RSRTM20XX_ATTR_REFERENCE_WAVEFORM_VERTICAL_POSITION;
extern RsAttrProperties g_RSRTM20XX_ATTR_REFERENCE_WAVEFORM_HORIZONTAL_SCALE;
extern RsAttrProperties g_RSRTM20XX_ATTR_REFERENCE_WAVEFORM_HORIZONTAL_POSITION;
extern RsAttrProperties g_RSRTM20XX_ATTR_MASK_ENABLED;
extern RsAttrProperties g_RSRTM20XX_ATTR_MASK_SOURCE;
extern RsAttrProperties g_RSRTM20XX_ATTR_MASK_TEST;
extern RsAttrProperties g_RSRTM20XX_ATTR_MASK_COPY_CHANNEL;
extern RsAttrProperties g_RSRTM20XX_ATTR_MASK_HIT_COUNT;
extern RsAttrProperties g_RSRTM20XX_ATTR_MASK_COUNT;
extern RsAttrProperties g_RSRTM20XX_ATTR_MASK_STORE;
extern RsAttrProperties g_RSRTM20XX_ATTR_MASK_LOAD;
extern RsAttrProperties g_RSRTM20XX_ATTR_MASK_TEST_ACTION_BEEP;
extern RsAttrProperties g_RSRTM20XX_ATTR_MASK_TEST_ACTION_STOP;
extern RsAttrProperties g_RSRTM20XX_ATTR_MASK_TEST_ACTION_SCREENSHOT;
extern RsAttrProperties g_RSRTM20XX_ATTR_MASK_TEST_ACTION_PRINT;
extern RsAttrProperties g_RSRTM20XX_ATTR_MASK_TEST_ACTION_SAVES_WAVEFORM;
extern RsAttrProperties g_RSRTM20XX_ATTR_MASK_TEST_ACTION_PULSE;
extern RsAttrProperties g_RSRTM20XX_ATTR_MASK_TEST_VIOLATION_COUNT_BEEP;
extern RsAttrProperties g_RSRTM20XX_ATTR_MASK_TEST_VIOLATION_COUNT_STOP;
extern RsAttrProperties g_RSRTM20XX_ATTR_MASK_TEST_VIOLATION_COUNT_SCREENSHOT;
extern RsAttrProperties g_RSRTM20XX_ATTR_MASK_TEST_VIOLATION_COUNT_PRINT;
extern RsAttrProperties g_RSRTM20XX_ATTR_MASK_TEST_VIOLATION_COUNT_SAVES_WAVEFORM;
extern RsAttrProperties g_RSRTM20XX_ATTR_MASK_TEST_VIOLATION_COUNT_PULSE;
extern RsAttrProperties g_RSRTM20XX_ATTR_MASK_TEST_VIOLATION_PULSE_LENGTH;
extern RsAttrProperties g_RSRTM20XX_ATTR_MASK_TEST_VIOLATION_PULSE_POLARITY;
extern RsAttrProperties g_RSRTM20XX_ATTR_MASK_RESET_TEST_COUNTER;
extern RsAttrProperties g_RSRTM20XX_ATTR_MASK_VERTICAL_OFFSET;
extern RsAttrProperties g_RSRTM20XX_ATTR_MASK_VERTICAL_SCALING;
extern RsAttrProperties g_RSRTM20XX_ATTR_MASK_VERTICAL_WIDTH;
extern RsAttrProperties g_RSRTM20XX_ATTR_MASK_HORIZONTAL_WIDTH;
extern RsAttrProperties g_RSRTM20XX_ATTR_SEARCH_ENABLED;
extern RsAttrProperties g_RSRTM20XX_ATTR_SEARCH_CONDITION;
extern RsAttrProperties g_RSRTM20XX_ATTR_SEARCH_SOURCE;
extern RsAttrProperties g_RSRTM20XX_ATTR_SEARCH_TRIGGER_EDGE_SLOPE;
extern RsAttrProperties g_RSRTM20XX_ATTR_SEARCH_TRIGGER_EDGE_LEVEL;
extern RsAttrProperties g_RSRTM20XX_ATTR_SEARCH_TRIGGER_EDGE_HYSTERSIS;
extern RsAttrProperties g_RSRTM20XX_ATTR_SEARCH_TRIGGER_WIDTH_LEVEL;
extern RsAttrProperties g_RSRTM20XX_ATTR_SEARCH_TRIGGER_WIDTH_HYSTERSIS;
extern RsAttrProperties g_RSRTM20XX_ATTR_SEARCH_TRIGGER_WIDTH_WIDTH;
extern RsAttrProperties g_RSRTM20XX_ATTR_SEARCH_TRIGGER_WIDTH_DELTA;
extern RsAttrProperties g_RSRTM20XX_ATTR_SEARCH_TRIGGER_WIDTH_POLARITY;
extern RsAttrProperties g_RSRTM20XX_ATTR_SEARCH_TRIGGER_WIDTH_RANGE;
extern RsAttrProperties g_RSRTM20XX_ATTR_SEARCH_TRIGGER_PEAK_POLARITY;
extern RsAttrProperties g_RSRTM20XX_ATTR_SEARCH_TRIGGER_PEAK_LIMIT;
extern RsAttrProperties g_RSRTM20XX_ATTR_SEARCH_TRIGGER_RISE_TIME_POLARITY;
extern RsAttrProperties g_RSRTM20XX_ATTR_SEARCH_TRIGGER_RISE_TIME_LEVEL_LOWER;
extern RsAttrProperties g_RSRTM20XX_ATTR_SEARCH_TRIGGER_RISE_TIME_LEVEL_UPPER;
extern RsAttrProperties g_RSRTM20XX_ATTR_SEARCH_TRIGGER_RISE_TIME_RANGE;
extern RsAttrProperties g_RSRTM20XX_ATTR_SEARCH_TRIGGER_RISE_TIME_REFERENCE_TIME;
extern RsAttrProperties g_RSRTM20XX_ATTR_SEARCH_TRIGGER_RISE_TIME_DELTA_TIME;
extern RsAttrProperties g_RSRTM20XX_ATTR_SEARCH_TRIGGER_RUNT_POLARITY;
extern RsAttrProperties g_RSRTM20XX_ATTR_SEARCH_TRIGGER_RUNT_LEVEL_LOWER;
extern RsAttrProperties g_RSRTM20XX_ATTR_SEARCH_TRIGGER_RUNT_LEVEL_UPPER;
extern RsAttrProperties g_RSRTM20XX_ATTR_SEARCH_TRIGGER_RUNT_RANGE;
extern RsAttrProperties g_RSRTM20XX_ATTR_SEARCH_TRIGGER_RUNT_WIDTH;
extern RsAttrProperties g_RSRTM20XX_ATTR_SEARCH_TRIGGER_RUNT_DELTA_WIDTH;
extern RsAttrProperties g_RSRTM20XX_ATTR_SEARCH_TRIGGER_D2C_CLOCK_SOURCE;
extern RsAttrProperties g_RSRTM20XX_ATTR_SEARCH_TRIGGER_D2C_CLOCK_LEVEL;
extern RsAttrProperties g_RSRTM20XX_ATTR_SEARCH_TRIGGER_D2C_DATA_LEVEL;
extern RsAttrProperties g_RSRTM20XX_ATTR_SEARCH_TRIGGER_D2C_CLOCK_HYSTERESIS;
extern RsAttrProperties g_RSRTM20XX_ATTR_SEARCH_TRIGGER_D2C_DATA_HYSTERESIS;
extern RsAttrProperties g_RSRTM20XX_ATTR_SEARCH_TRIGGER_D2C_POLARITY;
extern RsAttrProperties g_RSRTM20XX_ATTR_SEARCH_TRIGGER_D2C_SETUP_TIME;
extern RsAttrProperties g_RSRTM20XX_ATTR_SEARCH_TRIGGER_D2C_HOLD_TIME;
extern RsAttrProperties g_RSRTM20XX_ATTR_SEARCH_TRIGGER_PATTERN;
extern RsAttrProperties g_RSRTM20XX_ATTR_SEARCH_TRIGGER_PATTERN_COMBINATION;
extern RsAttrProperties g_RSRTM20XX_ATTR_SEARCH_TRIGGER_PATTERN_COMPARISON;
extern RsAttrProperties g_RSRTM20XX_ATTR_SEARCH_TRIGGER_PATTERN_WIDTH;
extern RsAttrProperties g_RSRTM20XX_ATTR_SEARCH_TRIGGER_PATTERN_WIDTH_DELTA;
extern RsAttrProperties g_RSRTM20XX_ATTR_SEARCH_GATE_MODE;
extern RsAttrProperties g_RSRTM20XX_ATTR_SEARCH_GATE_START;
extern RsAttrProperties g_RSRTM20XX_ATTR_SEARCH_GATE_STOP;
extern RsAttrProperties g_RSRTM20XX_ATTR_SEARCH_SHOW_RESULT;
extern RsAttrProperties g_RSRTM20XX_ATTR_SEARCH_NUMBER_OF_RESULTS;
extern RsAttrProperties g_RSRTM20XX_ATTR_SEARCH_MAXIMUM_NUMBER_OF_RESULTS;
extern RsAttrProperties g_RSRTM20XX_ATTR_SEARCH_TRIGGER_PATTERN_LEVEL;
extern RsAttrProperties g_RSRTM20XX_ATTR_SEARCH_TRIGGER_PATTERN_HYSTERESIS;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_LIN_SEARCH_EVENT;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_LIN_SEARCH_FRAME_SETUP;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_LIN_SEARCH_CONDITION_ID;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_LIN_SEARCH_CONDITION_DATA;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_LIN_SEARCH_ID_PATTERN;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_LIN_SEARCH_DATA_LENGTH;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_LIN_SEARCH_DATA_PATTERN;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_LIN_SEARCH_ERROR_CHECKSUM;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_LIN_SEARCH_ERROR_PARITY;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_LIN_SEARCH_ERROR_SYNC;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_CAN_SEARCH_EVENT;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_CAN_SEARCH_FRAME_SETUP;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_CAN_SEARCH_FRAME_TYPE;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_CAN_SEARCH_ID_TYPE;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_CAN_SEARCH_CONDITION_ID;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_CAN_SEARCH_CONDITION_DATA;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_CAN_SEARCH_ID_PATTERN;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_CAN_SEARCH_DATA_LENGTH;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_CAN_SEARCH_DATA_PATTERN;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_CAN_SEARCH_ERROR_CRC;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_CAN_SEARCH_ERROR_STUFFING;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_CAN_SEARCH_ERROR_FORM;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_CAN_SEARCH_ERROR_ACK;
extern RsAttrProperties g_RSRTM20XX_ATTR_MILSTD_SEARCH_CONDITION;
extern RsAttrProperties g_RSRTM20XX_ATTR_MILSTD_SEARCH_WORD_START;
extern RsAttrProperties g_RSRTM20XX_ATTR_MILSTD_SEARCH_ERROR;
extern RsAttrProperties g_RSRTM20XX_ATTR_MILSTD_SEARCH_TRANSMISSION_TYPE;
extern RsAttrProperties g_RSRTM20XX_ATTR_MILSTD_SEARCH_COMMAND_DATA_DIRECTION;
extern RsAttrProperties g_RSRTM20XX_ATTR_MILSTD_SEARCH_RT_ADDRESS_CONDITION;
extern RsAttrProperties g_RSRTM20XX_ATTR_MILSTD_SEARCH_RT_ADDRESS_MINIMUM;
extern RsAttrProperties g_RSRTM20XX_ATTR_MILSTD_SEARCH_RT_ADDRESS_MAXIMUM;
extern RsAttrProperties g_RSRTM20XX_ATTR_MILSTD_SEARCH_SUB_ADDRESS_CONDITION;
extern RsAttrProperties g_RSRTM20XX_ATTR_MILSTD_SEARCH_SUB_ADDRESS_MINIMUM;
extern RsAttrProperties g_RSRTM20XX_ATTR_MILSTD_SEARCH_SUB_ADDRESS_MAXIMUM;
extern RsAttrProperties g_RSRTM20XX_ATTR_MILSTD_SEARCH_SUB_ADDRESS;
extern RsAttrProperties g_RSRTM20XX_ATTR_MILSTD_SEARCH_WORD_CONDITION;
extern RsAttrProperties g_RSRTM20XX_ATTR_MILSTD_SEARCH_WORD_MINIMUM;
extern RsAttrProperties g_RSRTM20XX_ATTR_MILSTD_SEARCH_WORD_MAXIMUM;
extern RsAttrProperties g_RSRTM20XX_ATTR_MILSTD_SEARCH_COMMAND_MODE_CODE;
extern RsAttrProperties g_RSRTM20XX_ATTR_MILSTD_SEARCH_RECEIVED_BIT_STATUS;
extern RsAttrProperties g_RSRTM20XX_ATTR_MILSTD_SEARCH_BUSY_BIT_STATUS;
extern RsAttrProperties g_RSRTM20XX_ATTR_MILSTD_SEARCH_BUS_CONTROL_BIT_STATUS;
extern RsAttrProperties g_RSRTM20XX_ATTR_MILSTD_SEARCH_INSTRUMENTATION_BIT_STATUS;
extern RsAttrProperties g_RSRTM20XX_ATTR_MILSTD_SEARCHMESSAGE_ERROR_BIT_STATUS;
extern RsAttrProperties g_RSRTM20XX_ATTR_MILSTD_SEARCH_SERVICE_REQUEST_BIT_STATUS;
extern RsAttrProperties g_RSRTM20XX_ATTR_MILSTD_SEARCH_SUBSYSTEM_BIT_STATUS;
extern RsAttrProperties g_RSRTM20XX_ATTR_MILSTD_SEARCH_TERMINAL_BIT_STATUS;
extern RsAttrProperties g_RSRTM20XX_ATTR_MILSTD_SEARCH_DATA_CONDITION;
extern RsAttrProperties g_RSRTM20XX_ATTR_MILSTD_SEARCH_DATA_MINIMUM;
extern RsAttrProperties g_RSRTM20XX_ATTR_MILSTD_SEARCH_DATA_MAXIMUM;
extern RsAttrProperties g_RSRTM20XX_ATTR_MILSTD_SEARCH_DATA_OFFSET;
extern RsAttrProperties g_RSRTM20XX_ATTR_MILSTD_SEARCH_DATA_OFFSET_WORDS;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_ARINC429_SEARCH_TYPE;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_ARINC429_SEARCH_WORD_TYPE;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_ARINC429_SEARCH_ERROR;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_ARINC429_SEARCH_LABEL_PATTERN_CONDITION;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_ARINC429_SEARCH_LABEL_PATTERN_MIN;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_ARINC429_SEARCH_LABEL_PATTERN_MAX;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_ARINC429_SEARCH_DATA_PATTERN_CONDITION;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_ARINC429_SEARCH_DATA_PATTERN_MIN;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_ARINC429_SEARCH_DATA_PATTERN_MAX;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_ARINC429_SEARCH_DATA_OFFSET;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_ARINC429_SEARCH_DATA_SIZE;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_ARINC429_SEARCH_DATA_FORMAT;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_ARINC429_SEARCH_SDI;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_ARINC429_SEARCH_SSM;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_ENABLED;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_TYPE;
extern RsAttrProperties g_RSRTM20XX_ATTR_BUS_SAVE_DECODED_DATA;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_CONTENT;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_DISPLAY_FORMAT;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_DISPLAY_HEIGHT;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_DISPLAY_LINES;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_DISPLAY_VERTICAL;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_DISPLAY_RESULTS;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_I2C_CLOCK_SOURCE;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_I2C_DATA_SOURCE;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_I2C_FRAME_COUNT;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_I2C_SELECTED_FRAME;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_I2C_FRAME_DATA;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_I2C_FRAME_STATUS;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_I2C_FRAME_START;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_I2C_FRAME_END;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_I2C_FRAME_TRANSFER_DIRECTION;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_I2C_FRAME_ADDRESS_ACKNOWLEDGE;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_I2C_FRAME_ADDRESS_ENABLED;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_I2C_FRAME_ADDRESS_START_ACK_BIT;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_I2C_FRAME_ADDRESS;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_I2C_FRAME_ADDRESS_WITHOUT_BIT;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_I2C_FRAME_ADDRESS_LENGTH;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_I2C_FRAME_ADDRESS_START;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_I2C_SELECTED_BYTE;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_I2C_BYTE_COUNT;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_I2C_BYTE_ACK_BIT;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_I2C_BYTE_ACK_BIT_START;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_I2C_BYTE_ENABLED;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_I2C_BYTE_START;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_I2C_BYTE_VALUE;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_SPI_CLOCK_SOURCE;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_SPI_DATA_SOURCE;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_SPI_CLOCK_POLARITY;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_SPI_DATA_POLARITY;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_SPI_BIT_ORDER;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_SPI_WORD_LENGTH;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_SPI_FRAME_COUNT;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_SPI_SELECTED_FRAME;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_SPI_FRAME_STATUS;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_SPI_FRAME_START;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_SPI_FRAME_END;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_SPI_FRAME_DATA_MOSI;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_SPI_FRAME_DATA_MISO;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_SPI_WORD_COUNT;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_SPI_SELECTED_WORD;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_SPI_WORD_START;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_SPI_WORD_END;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_SPI_WORD_MOSI;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_SPI_WORD_MISO;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_SSPI_CLOCK_SOURCE;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_SSPI_DATA_SOURCE;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_SSPI_CLOCK_POLARITY;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_SSPI_DATA_POLARITY;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_SSPI_INTERFRAME_TIME;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_SSPI_BIT_ORDER;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_SSPI_WORD_LENGTH;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_UART_SOURCE;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_UART_RX_SOURCE_LINE;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_UART_TX_SOURCE_LINE;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_UART_POLARITY;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_UART_INTERFRAME_TIME;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_UART_WORD_LENGTH;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_UART_BIT_RATE;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_UART_PARITY;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_UART_STOP_BITS;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_UART_RX_FRAME_COUNT;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_UART_TX_FRAME_COUNT;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_UART_SELECTED_FRAME;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_UART_RX_WORD_COUNT;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_UART_TX_WORD_COUNT;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_UART_SELECTED_WORD;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_UART_RX_WORD_VALUE;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_UART_TX_WORD_VALUE;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_UART_RX_WORD_START;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_UART_TX_WORD_START;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_UART_RX_WORD_END;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_UART_TX_WORD_END;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_UART_RX_WORD_ENABLED;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_UART_TX_WORD_ENABLED;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_LIN_SOURCE;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_LIN_POLARITY;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_LIN_STANDARD;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_LIN_BIT_RATE;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_LIN_FRAME_COUNT;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_LIN_SELECTED_FRAME;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_LIN_FRAME_DATA;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_LIN_FRAME_STATUS;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_LIN_FRAME_START;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_LIN_FRAME_END;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_LIN_FRAME_CHECKSUM_ENABLED;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_LIN_FRAME_CHECKSUM_VALUE;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_LIN_FRAME_PARITY_ENABLED;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_LIN_FRAME_PARITY_VALUE;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_LIN_FRAME_ID_VALUE;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_LIN_FRAME_SYNC_ENABLED;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_LIN_FRAME_SYNC_VALUE;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_LIN_FRAME_VERSION;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_LIN_BYTE_COUNT;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_LIN_SELECTED_BYTE;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_LIN_BYTE_ENABLED;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_LIN_BYTE_VALUE;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_CAN_LINE_TYPE;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_CAN_SOURCE;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_CAN_BIT_RATE;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_CAN_SAMPLE_POINT;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_CAN_FRAME_COUNT;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_CAN_SELECTED_FRAME;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_CAN_FRAME_TYPE;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_CAN_FRAME_STATUS;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_CAN_FRAME_START;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_CAN_FRAME_END;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_CAN_FRAME_DATA;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_CAN_ACK_STATE;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_CAN_ACK_VALUE;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_CAN_CHECKSUM_STATE;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_CAN_CHECKSUM_VALUE;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_CAN_DATA_LENGTH_STATE;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_CAN_DATA_LENGTH_VALUE;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_CAN_ID_STATE;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_CAN_ID_VALUE;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_CAN_ID_TYPE;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_CAN_BSE_POSITION;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_CAN_BYTE_COUNT;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_CAN_SELECTED_BYTE;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_CAN_BYTE_STATE;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_CAN_BYTE_VALUE;
extern RsAttrProperties g_RSRTM20XX_ATTR_PARALLEL_BUS_ANALYZED_LINES;
extern RsAttrProperties g_RSRTM20XX_ATTR_PARALLEL_BUS_FRAME_COUNT;
extern RsAttrProperties g_RSRTM20XX_ATTR_PARALLEL_BUS_SELECTED_FRAME;
extern RsAttrProperties g_RSRTM20XX_ATTR_PARALLEL_BUS_FRAME_DATA;
extern RsAttrProperties g_RSRTM20XX_ATTR_PARALLEL_BUS_FRAME_ENABLED;
extern RsAttrProperties g_RSRTM20XX_ATTR_PARALLEL_BUS_FRAME_START;
extern RsAttrProperties g_RSRTM20XX_ATTR_PARALLEL_BUS_FRAME_END;
extern RsAttrProperties g_RSRTM20XX_ATTR_PARALLEL_BUS_CLOCKED_ANALYZED_LINES;
extern RsAttrProperties g_RSRTM20XX_ATTR_PARALLEL_BUS_CLOCKED_FRAME_COUNT;
extern RsAttrProperties g_RSRTM20XX_ATTR_PARALLEL_BUS_CLOCKED_SLOPE;
extern RsAttrProperties g_RSRTM20XX_ATTR_PARALLEL_BUS_CLOCKED_CS_POLARITY;
extern RsAttrProperties g_RSRTM20XX_ATTR_PARALLEL_BUS_CLOCKED_SELECTED_FRAME;
extern RsAttrProperties g_RSRTM20XX_ATTR_PARALLEL_BUS_CLOCKED_FRAME_DATA;
extern RsAttrProperties g_RSRTM20XX_ATTR_PARALLEL_BUS_CLOCKED_FRAME_ENABLED;
extern RsAttrProperties g_RSRTM20XX_ATTR_PARALLEL_BUS_CLOCKED_FRAME_START;
extern RsAttrProperties g_RSRTM20XX_ATTR_PARALLEL_BUS_CLOCKED_FRAME_END;
extern RsAttrProperties g_RSRTM20XX_ATTR_PARALLEL_BUS_CLOCKED_SOURCE;
extern RsAttrProperties g_RSRTM20XX_ATTR_PARALLEL_BUS_CLOCKED_CHIP_SELECT_ENABLED;
extern RsAttrProperties g_RSRTM20XX_ATTR_PARALLEL_BUS_CLOCKED_CHIP_SELECT_SOURCE;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_AUDIO_VARIANT;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_AUDIO_WORD_LENGTH;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_AUDIO_CHANNEL_ORDER;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_AUDIO_BIT_ORDER;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_AUDIO_CHANNEL_OFFSET;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_AUDIO_CHANNEL_LENGTH;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_AUDIO_FRAME_OFFSET;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_AUDIO_TDM_CHANNELS;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_AUDIO_SELECTED_FRAME;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_AUDIO_FRAME_COUNT;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_AUDIO_FRAME_STATUS;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_AUDIO_FRAME_START;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_AUDIO_FRAME_STOP;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_AUDIO_FRAME_LEFT_CHANNEL_STATUS;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_AUDIO_FRAME_RIGHT_CHANNEL_STATUS;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_AUDIO_FRAME_LEFT_CHANNEL_VALUE;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_AUDIO_FRAME_RIGHT_CHANNEL_VALUE;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_AUDIO_FRAME_TDM_STATUS;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_AUDIO_FRAME_TDM_VALUE;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_AUDIO_CLOCK_SOURCE;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_AUDIO_CLOCK_THRESHOLD;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_AUDIO_CLOCK_POLARITY;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_AUDIO_WS_SOURCE;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_AUDIO_WS_THRESHOLD;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_AUDIO_WS_POLARITY;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_AUDIO_DATA_SOURCE;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_AUDIO_DATA_THRESHOLD;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_AUDIO_DATA_POLARITY;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_AUDIO_TRACK_WAVEFORM_DISPLAY_MODE;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_AUDIO_TRACK_WAVEFORM_LEFT_POSITION;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_AUDIO_TRACK_WAVEFORM_LEFT_SCALE;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_AUDIO_TRACK_WAVEFORM_RIGHT_POSITION;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_AUDIO_TRACK_WAVEFORM_RIGHT_SCALE;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_AUDIO_TRACK_WAVEFORM_SET_TO_DEFAULT;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_AUDIO_TRACK_WAVEFORM_SET_TO_SCREEN;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_AUDIO_TRACK_WAVEFORM_CHANNEL_ENABLED;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_AUDIO_TRACK_WAVEFORM_CHANNEL_POSITION;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_AUDIO_TRACK_WAVEFORM_CHANNEL_SCALE;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_MILSTD_SOURCE;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_MILSTD_POLARITY;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_MILSTD_TRESHOLD_HIGH;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_MILSTD_TRESHOLD_HLOW;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_MILSTD_TIMING;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_MILSTD_WORD_COUNT;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_MILSTD_SELECTED_WORD;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_MILSTD_WORD_START;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_MILSTD_WORD_STOP;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_MILSTD_WORD_STATUS;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_MILSTD_WORD_TRANSMISSION_DIRECTION;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_MILSTD_WORD_TYPE;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_MILSTD_WORD_PARITY;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_MILSTD_WORD_RESPONSE_TIME;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_MILSTD_WORD_VALUE;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_MILSTD_WORD_INTERMESSAGE_GATE_TIME;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_MILSTD_COMMAND_WORD_COUNT;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_MILSTD_COMMAND_WORD_MODE_CODE_TYPE;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_MILSTD_COMMAND_WORD_MODE_CODE_VALUE;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_MILSTD_COMMAND_WORD_RT_ADDRESS;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_MILSTD_COMMAND_WORD_SUB_ADDRESS;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_MILSTD_WORD_RECEIVED_BIT_STATUS;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_MILSTD_WORD_BUSY_BIT_STATUS;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_MILSTD_WORD_BUS_CONTROL_BIT_STATUS;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_MILSTD_WORD_INSTRUMENTATION_BIT_STATUS;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_MILSTD_WORD_MESSAGE_ERROR_BIT_STATUS;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_MILSTD_WORD_STATUS_RT_ADDRESS;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_MILSTD_WORD_SUBSYSTEM_BIT_STATUS;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_MILSTD_WORD_TERMINAL_BIT_STATUS;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_ARINC429_SOURCE;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_ARINC429_POLARITY;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_ARINC429_BIT_RATE_MODE;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_ARINC429_BIT_RATE;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_ARINC429_THRESHOLD_HIGH;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_ARINC429_THRESHOLD_LOW;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_ARINC429_DATA_FORMAT;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_ARINC429_WORD_COUNT;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_ARINC429_SELECTED_WORD;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_ARINC429_WORD_STATUS;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_ARINC429_WORD_START;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_ARINC429_WORD_STOP;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_ARINC429_WORD_SDI;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_ARINC429_WORD_SSM;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_ARINC429_WORD_LABEL;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_ARINC429_WORD_LABEL_VALUE;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_ARINC429_WORD_PATTERN;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_ARINC429_WORD_PARITY;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_ARINC429_WORD_FORMAT;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROTOCOL_ARINC429_WORD_DATA;
extern RsAttrProperties g_RSRTM20XX_ATTR_POWER_ANALYSIS_ENABLED;
extern RsAttrProperties g_RSRTM20XX_ATTR_POWER_ANALYSIS_TYPE;
extern RsAttrProperties g_RSRTM20XX_ATTR_POWER_ANALYSIS_RESULT_TABLE_ENABLED;
extern RsAttrProperties g_RSRTM20XX_ATTR_POWER_ANALYSIS_RESET_STATISTICS;
extern RsAttrProperties g_RSRTM20XX_ATTR_POWER_ANALYSIS_STATISTICS_VISIBLE;
extern RsAttrProperties g_RSRTM20XX_ATTR_POWER_ANALYSIS_START_DESKEW;
extern RsAttrProperties g_RSRTM20XX_ATTR_POWER_ANALYSIS_ZERO_OFFSET;
extern RsAttrProperties g_RSRTM20XX_ATTR_POWER_ANALYSIS_VOLTAGE_SOURCE;
extern RsAttrProperties g_RSRTM20XX_ATTR_POWER_ANALYSIS_CURRENT_SOURCE;
extern RsAttrProperties g_RSRTM20XX_ATTR_POWER_ANALYSIS_ADD_REPORT;
extern RsAttrProperties g_RSRTM20XX_ATTR_POWER_ANALYSIS_REPORT_DUT;
extern RsAttrProperties g_RSRTM20XX_ATTR_POWER_ANALYSIS_REPORT_USER;
extern RsAttrProperties g_RSRTM20XX_ATTR_POWER_ANALYSIS_REPORT_SITE;
extern RsAttrProperties g_RSRTM20XX_ATTR_POWER_ANALYSIS_REPORT_TEMPERATURE;
extern RsAttrProperties g_RSRTM20XX_ATTR_POWER_ANALYSIS_REPORT_DESCRIPTION;
extern RsAttrProperties g_RSRTM20XX_ATTR_POWER_ANALYSIS_REPORT_OUTPUT_FOLDER;
extern RsAttrProperties g_RSRTM20XX_ATTR_START_POWER_QUALITY_MEASUREMENT;
extern RsAttrProperties g_RSRTM20XX_ATTR_POWER_QUALITY_MEASUREMENT_ADD_REPORT;
extern RsAttrProperties g_RSRTM20XX_ATTR_START_POWER_CONSUMPTION_MEASUREMENT;
extern RsAttrProperties g_RSRTM20XX_ATTR_RESTART_POWER_CONSUMPTION_MEASUREMENT;
extern RsAttrProperties g_RSRTM20XX_ATTR_POWER_CONSUMPTION_MEASUREMENT_ADD_REPORT;
extern RsAttrProperties g_RSRTM20XX_ATTR_POWER_CONSUMPTION_MEASUREMENT_DURATION_RESULT;
extern RsAttrProperties g_RSRTM20XX_ATTR_POWER_CONSUMPTION_MEASUREMENT_ENERGY_RESULT;
extern RsAttrProperties g_RSRTM20XX_ATTR_POWER_CONSUMPTION_MEASUREMENT_ACTIVE_RESULT;
extern RsAttrProperties g_RSRTM20XX_ATTR_START_POWER_CURRENT_HARMONICS_MEASUREMENT;
extern RsAttrProperties g_RSRTM20XX_ATTR_POWER_CURRENT_HARMONICS_MEASUREMENT_STANDARD;
extern RsAttrProperties g_RSRTM20XX_ATTR_POWER_CURRENT_HARMONICS_MEASUREMENT_FUNDAMENTAL;
extern RsAttrProperties g_RSRTM20XX_ATTR_POWER_CURRENT_HARMONICS_MEASUREMENT_FUNDAMENTAL_MIL;
extern RsAttrProperties g_RSRTM20XX_ATTR_POWER_CURRENT_HARMONICS_MEASUREMENT_FUNDAMENTAL_RTC;
extern RsAttrProperties g_RSRTM20XX_ATTR_POWER_CURRENT_HARMONICS_NUMBER_OF_MEASURED_HARMONICS;
extern RsAttrProperties g_RSRTM20XX_ATTR_POWER_CURRENT_HARMONICS_MEASUREMENT_ADD_REPORT;
extern RsAttrProperties g_RSRTM20XX_ATTR_POWER_CURRENT_HARMONICS_MEASUREMENT_LIMIT_CHECK_RESULT;
extern RsAttrProperties g_RSRTM20XX_ATTR_RESET_POWER_CURRENT_HARMONICS_MEASUREMENT_RESULTS;
extern RsAttrProperties g_RSRTM20XX_ATTR_POWER_CURRENT_HARMONICS_MEASUREMENT_FREQUENCY_CURRENT;
extern RsAttrProperties g_RSRTM20XX_ATTR_POWER_CURRENT_HARMONICS_MEASUREMENT_FREQUENCY_AVERAGE;
extern RsAttrProperties g_RSRTM20XX_ATTR_POWER_CURRENT_HARMONICS_MEASUREMENT_FREQUENCY_MAXIMUM;
extern RsAttrProperties g_RSRTM20XX_ATTR_POWER_CURRENT_HARMONICS_MEASUREMENT_FREQUENCY_MINIMUM;
extern RsAttrProperties g_RSRTM20XX_ATTR_POWER_CURRENT_HARMONICS_MEASUREMENT_FREQUENCY_STANDARD_DEVIATION;
extern RsAttrProperties g_RSRTM20XX_ATTR_POWER_CURRENT_HARMONICS_MEASUREMENT_TOTAL_HARMONIC_DISTORTION_CURRENT;
extern RsAttrProperties g_RSRTM20XX_ATTR_POWER_CURRENT_HARMONICS_MEASUREMENT_TOTAL_HARMONIC_DISTORTION_AVERAGE;
extern RsAttrProperties g_RSRTM20XX_ATTR_POWER_CURRENT_HARMONICS_MEASUREMENT_TOTAL_HARMONIC_DISTORTION_MAXIMUM;
extern RsAttrProperties g_RSRTM20XX_ATTR_POWER_CURRENT_HARMONICS_MEASUREMENT_TOTAL_HARMONIC_DISTORTION_MINIMUM;
extern RsAttrProperties g_RSRTM20XX_ATTR_POWER_CURRENT_HARMONICS_MEASUREMENT_TOTAL_HARMONIC_DISTORTION_STANDARD_DEVIATION;
extern RsAttrProperties g_RSRTM20XX_ATTR_CURRENT_HARMONICS_EXPORT_NAME;
extern RsAttrProperties g_RSRTM20XX_ATTR_CURRENT_HARMONICS_EXPORT_SAVE;
extern RsAttrProperties g_RSRTM20XX_ATTR_START_POWER_INRUSH_CURRENT_MEASUREMENT;
extern RsAttrProperties g_RSRTM20XX_ATTR_POWER_INRUSH_CURRENT_MEASUREMENT_GATE_COUNT;
extern RsAttrProperties g_RSRTM20XX_ATTR_POWER_INRUSH_CURRENT_MEASUREMENT_ADD_REPORT;
extern RsAttrProperties g_RSRTM20XX_ATTR_POWER_INRUSH_CURRENT_MEASUREMENT_GATE_START;
extern RsAttrProperties g_RSRTM20XX_ATTR_POWER_INRUSH_CURRENT_MEASUREMENT_GATE_STOP;
extern RsAttrProperties g_RSRTM20XX_ATTR_POWER_INRUSH_CURRENT_MEASUREMENT_AREA_RESULT;
extern RsAttrProperties g_RSRTM20XX_ATTR_POWER_INRUSH_CURRENT_MEASUREMENT_MAXIMUM_RESULT;
extern RsAttrProperties g_RSRTM20XX_ATTR_START_POWER_RIPPLE_MEASUREMENT;
extern RsAttrProperties g_RSRTM20XX_ATTR_POWER_RIPPLE_MEASUREMENT_ADD_REPORT;
extern RsAttrProperties g_RSRTM20XX_ATTR_START_POWER_SPECTRUM_MEASUREMENT;
extern RsAttrProperties g_RSRTM20XX_ATTR_POWER_SPECTRUM_MEASUREMENT_FREQUENCY;
extern RsAttrProperties g_RSRTM20XX_ATTR_POWER_SPECTRUM_MEASUREMENT_ADD_REPORT;
extern RsAttrProperties g_RSRTM20XX_ATTR_RESET_POWER_SPECTRUM_MEASUREMENT_RESULTS;
extern RsAttrProperties g_RSRTM20XX_ATTR_START_POWER_SLEW_RATE_MEASUREMENT;
extern RsAttrProperties g_RSRTM20XX_ATTR_POWER_SLEW_RATE_MEASUREMENT_DELTA_SAMPLE;
extern RsAttrProperties g_RSRTM20XX_ATTR_POWER_SLEW_RATE_MEASUREMENT_DELTA_TIME;
extern RsAttrProperties g_RSRTM20XX_ATTR_POWER_SLEW_RATE_MEASUREMENT_ADD_REPORT;
extern RsAttrProperties g_RSRTM20XX_ATTR_START_POWER_MODULATION_MEASUREMENT;
extern RsAttrProperties g_RSRTM20XX_ATTR_POWER_MODULATION_MEASUREMENT_TYPE;
extern RsAttrProperties g_RSRTM20XX_ATTR_POWER_MODULATION_MEASUREMENT_ADD_REPORT;
extern RsAttrProperties g_RSRTM20XX_ATTR_START_POWER_DYNAMIC_ON_RESISTANCE_MEASUREMENT;
extern RsAttrProperties g_RSRTM20XX_ATTR_POWER_DYNAMIC_ON_RESISTANCE_MEASUREMENT_ADD_REPORT;
extern RsAttrProperties g_RSRTM20XX_ATTR_POWER_DYNAMIC_ON_RESISTANCE_MEASUREMENT_GATE_START;
extern RsAttrProperties g_RSRTM20XX_ATTR_POWER_DYNAMIC_ON_RESISTANCE_MEASUREMENT_GATE_STOP;
extern RsAttrProperties g_RSRTM20XX_ATTR_POWER_DYNAMIC_ON_RESISTANCE_MEASUREMENT_RESULT;
extern RsAttrProperties g_RSRTM20XX_ATTR_START_POWER_EFFICIENCY_MEASUREMENT;
extern RsAttrProperties g_RSRTM20XX_ATTR_POWER_EFFICIENCY_MEASUREMENT_ADD_REPORT;
extern RsAttrProperties g_RSRTM20XX_ATTR_START_POWER_SWITCHINGLOSS_MEASUREMENT;
extern RsAttrProperties g_RSRTM20XX_ATTR_POWER_SWITCHINGLOSS_MEASUREMENT_TYPE;
extern RsAttrProperties g_RSRTM20XX_ATTR_POWER_SWITCHINGLOSS_MEASUREMENT_ADD_REPORT;
extern RsAttrProperties g_RSRTM20XX_ATTR_SET_POWER_SWITSCHINGLOSS_MEASUREMENT_GATE_TO_WAVEFORM;
extern RsAttrProperties g_RSRTM20XX_ATTR_POWER_SWITCHINGLOSS_MEASUREMENT_GATE_CONDUCTION_START;
extern RsAttrProperties g_RSRTM20XX_ATTR_POWER_SWITCHINGLOSS_MEASUREMENT_GATE_CONDUCTION_STOP;
extern RsAttrProperties g_RSRTM20XX_ATTR_POWER_SWITCHINGLOSS_MEASUREMENT_GATE_NO_CONDUCTION_START;
extern RsAttrProperties g_RSRTM20XX_ATTR_POWER_SWITCHINGLOSS_MEASUREMENT_GATE_NO_CONDUCTION_STOP;
extern RsAttrProperties g_RSRTM20XX_ATTR_POWER_SWITCHINGLOSS_MEASUREMENT_GATE_TURN_ON_START;
extern RsAttrProperties g_RSRTM20XX_ATTR_POWER_SWITCHINGLOSS_MEASUREMENT_GATE_TURN_ON_STOP;
extern RsAttrProperties g_RSRTM20XX_ATTR_POWER_SWITCHINGLOSS_MEASUREMENT_GATE_TURN_OFF_START;
extern RsAttrProperties g_RSRTM20XX_ATTR_POWER_SWITCHINGLOSS_MEASUREMENT_GATE_TURN_OFF_STOP;
extern RsAttrProperties g_RSRTM20XX_ATTR_POWER_SWITCHINGLOSS_MEASUREMENT_CONDUCTION_ENERGY_RESULT;
extern RsAttrProperties g_RSRTM20XX_ATTR_POWER_SWITCHINGLOSS_MEASUREMENT_CONDUCTION_POWER_RESULT;
extern RsAttrProperties g_RSRTM20XX_ATTR_POWER_SWITCHINGLOSS_MEASUREMENT_NO_CONDUCTION_ENERGY_RESULT;
extern RsAttrProperties g_RSRTM20XX_ATTR_POWER_SWITCHINGLOSS_MEASUREMENT_NO_CONDUCTION_POWER_RESULT;
extern RsAttrProperties g_RSRTM20XX_ATTR_POWER_SWITCHINGLOSS_MEASUREMENT_TURN_ON_ENERGY_RESULT;
extern RsAttrProperties g_RSRTM20XX_ATTR_POWER_SWITCHINGLOSS_MEASUREMENT_TURN_ON_POWER_RESULT;
extern RsAttrProperties g_RSRTM20XX_ATTR_POWER_SWITCHINGLOSS_MEASUREMENT_TURN_OFF_ENERGY_RESULT;
extern RsAttrProperties g_RSRTM20XX_ATTR_POWER_SWITCHINGLOSS_MEASUREMENT_TURN_OFF_POWER_RESULT;
extern RsAttrProperties g_RSRTM20XX_ATTR_POWER_SWITCHINGLOSS_MEASUREMENT_TOTAL_ENERGY_RESULT;
extern RsAttrProperties g_RSRTM20XX_ATTR_POWER_SWITCHINGLOSS_MEASUREMENT_TOTAL_POWER_RESULT;
extern RsAttrProperties g_RSRTM20XX_ATTR_START_POWER_ON_OFF_MEASUREMENT;
extern RsAttrProperties g_RSRTM20XX_ATTR_POWER_ON_OFF_MEASUREMENT_TYPE;
extern RsAttrProperties g_RSRTM20XX_ATTR_POWER_ON_OFF_MEASUREMENT_ADD_REPORT;
extern RsAttrProperties g_RSRTM20XX_ATTR_POWER_ON_OFF_MEASUREMENT_RESULT;
extern RsAttrProperties g_RSRTM20XX_ATTR_START_POWER_SAFE_OPERATING_AREA_MEASUREMENT;
extern RsAttrProperties g_RSRTM20XX_ATTR_RESTART_POWER_SAFE_OPERATING_AREA_MEASUREMENT;
extern RsAttrProperties g_RSRTM20XX_ATTR_POWER_SAFE_OPERATING_AREA_ADD_REPORT;
extern RsAttrProperties g_RSRTM20XX_ATTR_POWER_SAFE_OPERATING_AREA_SCALE;
extern RsAttrProperties g_RSRTM20XX_ATTR_POWER_SAFE_OPERATING_AREA_MASK_SCALE;
extern RsAttrProperties g_RSRTM20XX_ATTR_POWER_SAFE_OPERATING_AREA_DISPLAY_SCALE;
extern RsAttrProperties g_RSRTM20XX_ATTR_POWER_SAFE_OPERATING_AREA_LIN_ADD;
extern RsAttrProperties g_RSRTM20XX_ATTR_POWER_SAFE_OPERATING_AREA_LINEAR_INSERT;
extern RsAttrProperties g_RSRTM20XX_ATTR_POWER_SAFE_OPERATING_AREA_LINEAR_REMOVE;
extern RsAttrProperties g_RSRTM20XX_ATTR_POWER_SAFE_OPERATING_AREA_LINEAR_COUNT;
extern RsAttrProperties g_RSRTM20XX_ATTR_POWER_SAFE_OPERATING_AREA_LOGARITHMIC_ADD;
extern RsAttrProperties g_RSRTM20XX_ATTR_POWER_SAFE_OPERATING_AREA_LOGARITHMIC_INSERT;
extern RsAttrProperties g_RSRTM20XX_ATTR_POWER_SAFE_OPERATING_AREA_LOGARITHMIC_REMOVE;
extern RsAttrProperties g_RSRTM20XX_ATTR_POWER_SAFE_OPERATING_AREA_LOGARITHMIC_COUNT;
extern RsAttrProperties g_RSRTM20XX_ATTR_POWER_SAFE_OPERATING_AREA_SELECTED_POINT;
extern RsAttrProperties g_RSRTM20XX_ATTR_POWER_SAFE_OPERATING_AREA_LINEAR_POINT_VOLTAGE;
extern RsAttrProperties g_RSRTM20XX_ATTR_POWER_SAFE_OPERATING_AREA_LINEAR_POINT_CURRENT_MIN;
extern RsAttrProperties g_RSRTM20XX_ATTR_POWER_SAFE_OPERATING_AREA_LINEAR_POINT_CURRENT_MAX;
extern RsAttrProperties g_RSRTM20XX_ATTR_POWER_SAFE_OPERATING_AREA_LOGARITHMIC_POINT_VOLTAGE;
extern RsAttrProperties g_RSRTM20XX_ATTR_POWER_SAFE_OPERATING_AREA_LOGARITHMIC_POINT_CURRENT_MIN;
extern RsAttrProperties g_RSRTM20XX_ATTR_POWER_SAFE_OPERATING_AREA_LOGARITHMIC_POINT_CURRENT_MAX;
extern RsAttrProperties g_RSRTM20XX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_ACQUISITION_TOLERANCE;
extern RsAttrProperties g_RSRTM20XX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_ACQUISITION_PASSED_RESULTS;
extern RsAttrProperties g_RSRTM20XX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_ACQUISITION_FAILED_RESULTS;
extern RsAttrProperties g_RSRTM20XX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_ACQUISITION_FAILED_RATE;
extern RsAttrProperties g_RSRTM20XX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_ACQUISITION_NUMBER_OF_POINTS;
extern RsAttrProperties g_RSRTM20XX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_ACQUISITION_STATUS;
extern RsAttrProperties g_RSRTM20XX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_ACQUISITION_VIOLATION_COUNT;
extern RsAttrProperties g_RSRTM20XX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_ACQUISITION_VIOLATION_CURRENT;
extern RsAttrProperties g_RSRTM20XX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_ACQUISITION_VIOLATION_VOLTAGE;
extern RsAttrProperties g_RSRTM20XX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_TOTAL_TOLERANCE;
extern RsAttrProperties g_RSRTM20XX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_TOTAL_PASSED_RESULTS;
extern RsAttrProperties g_RSRTM20XX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_TOTAL_FAILED_RESULTS;
extern RsAttrProperties g_RSRTM20XX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_TOTAL_FAILED_RATE;
extern RsAttrProperties g_RSRTM20XX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_TOTAL_NUMBER_OF_ACQUISITIONS;
extern RsAttrProperties g_RSRTM20XX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_TOTAL_STATUS;
extern RsAttrProperties g_RSRTM20XX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_TOTAL_VIOLATION_COUNT;
extern RsAttrProperties g_RSRTM20XX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_TOTAL_PASSED_SAMPLES;
extern RsAttrProperties g_RSRTM20XX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_TOTAL_FAILED_SAMPLES;
extern RsAttrProperties g_RSRTM20XX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_TOTAL_NUMBER_OF_SAMPLES;
extern RsAttrProperties g_RSRTM20XX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_TOTAL_VIOLATION_CURRENT;
extern RsAttrProperties g_RSRTM20XX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_TOTAL_VIOLATION_VOLTAGE;
extern RsAttrProperties g_RSRTM20XX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_TOTAL_VOLTAGE_DATA_CONVERSION_X_START;
extern RsAttrProperties g_RSRTM20XX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_TOTAL_VOLTAGE_DATA_CONVERSION_X_INCREMENT;
extern RsAttrProperties g_RSRTM20XX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_TOTAL_VOLTAGE_DATA_CONVERSION_Y_START;
extern RsAttrProperties g_RSRTM20XX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_TOTAL_VOLTAGE_DATA_CONVERSION_Y_INCREMENT;
extern RsAttrProperties g_RSRTM20XX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_TOTAL_VOLTAGE_DATA_CONVERSION_Y_RESOLUTION;
extern RsAttrProperties g_RSRTM20XX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_TOTAL_CURRENT_DATA_CONVERSION_X_START;
extern RsAttrProperties g_RSRTM20XX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_TOTAL_CURRENT_DATA_CONVERSION_X_INCREMENT;
extern RsAttrProperties g_RSRTM20XX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_TOTAL_CURRENT_DATA_CONVERSION_Y_START;
extern RsAttrProperties g_RSRTM20XX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_TOTAL_CURRENT_DATA_CONVERSION_Y_INCREMENT;
extern RsAttrProperties g_RSRTM20XX_ATTR_POWER_SAFE_OPERATING_AREA_RESULT_TOTAL_CURRENT_DATA_CONVERSION_Y_RESOLUTION;
extern RsAttrProperties g_RSRTM20XX_ATTR_START_POWER_TRANSIENT_RESPONSE_MEASUREMENT;
extern RsAttrProperties g_RSRTM20XX_ATTR_POWER_TRANSIENT_RESPONSE_SIGNAL_HIGH;
extern RsAttrProperties g_RSRTM20XX_ATTR_POWER_TRANSIENT_RESPONSE_SIGNAL_LOW;
extern RsAttrProperties g_RSRTM20XX_ATTR_POWER_TRANSIENT_RESPONSE_ADD_REPORT;
extern RsAttrProperties g_RSRTM20XX_ATTR_POWER_TRANSIENT_RESPONSE_START_TIME;
extern RsAttrProperties g_RSRTM20XX_ATTR_POWER_TRANSIENT_RESPONSE_STOP_TIME;
extern RsAttrProperties g_RSRTM20XX_ATTR_POWER_TRANSIENT_RESPONSE_DELAY_TIME;
extern RsAttrProperties g_RSRTM20XX_ATTR_POWER_TRANSIENT_RESPONSE_OVERSHOOT;
extern RsAttrProperties g_RSRTM20XX_ATTR_POWER_TRANSIENT_RESPONSE_PEAK_TIME;
extern RsAttrProperties g_RSRTM20XX_ATTR_POWER_TRANSIENT_RESPONSE_PEAK_VALUE;
extern RsAttrProperties g_RSRTM20XX_ATTR_POWER_TRANSIENT_RESPONSE_RISE_TIME;
extern RsAttrProperties g_RSRTM20XX_ATTR_POWER_TRANSIENT_RESPONSE_SETTLING_TIME;
extern RsAttrProperties g_RSRTM20XX_ATTR_SPECTRUM_ANALYSIS_ENABLE;
extern RsAttrProperties g_RSRTM20XX_ATTR_SPECTRUM_ANALYSIS_SOURCE;
extern RsAttrProperties g_RSRTM20XX_ATTR_SPECTRUM_FREQUENCY_AVERAGE_COMPLETE;
extern RsAttrProperties g_RSRTM20XX_ATTR_SPECTRUM_FREQUENCY_AVERAGE_COUNT;
extern RsAttrProperties g_RSRTM20XX_ATTR_SPECTRUM_FREQUENCY_MAGNITUDE_SCALE;
extern RsAttrProperties g_RSRTM20XX_ATTR_SPECTRUM_FREQUENCY_POSITION;
extern RsAttrProperties g_RSRTM20XX_ATTR_SPECTRUM_FREQUENCY_RESET;
extern RsAttrProperties g_RSRTM20XX_ATTR_SPECTRUM_FREQUENCY_SCALE;
extern RsAttrProperties g_RSRTM20XX_ATTR_SPECTRUM_FREQUENCY_WINDOW_TYPE;
extern RsAttrProperties g_RSRTM20XX_ATTR_SPECTRUM_FREQUENCY_START;
extern RsAttrProperties g_RSRTM20XX_ATTR_SPECTRUM_FREQUENCY_STOP;
extern RsAttrProperties g_RSRTM20XX_ATTR_SPECTRUM_FREQUENCY_CENTER;
extern RsAttrProperties g_RSRTM20XX_ATTR_SPECTRUM_FREQUENCY_SPAN;
extern RsAttrProperties g_RSRTM20XX_ATTR_SPECTRUM_FREQUENCY_BANDWIDTH_AUTO;
extern RsAttrProperties g_RSRTM20XX_ATTR_SPECTRUM_FREQUENCY_BANDWIDTH_RATIO;
extern RsAttrProperties g_RSRTM20XX_ATTR_SPECTRUM_FREQUENCY_BANDWIDTH_RESOLUTION;
extern RsAttrProperties g_RSRTM20XX_ATTR_SPECTRUM_SPECTROGRAM_RESET;
extern RsAttrProperties g_RSRTM20XX_ATTR_SPECTRUM_SPECTROGRAM_SCALE;
extern RsAttrProperties g_RSRTM20XX_ATTR_SPECTRUM_MARKER_ENABLE;
extern RsAttrProperties g_RSRTM20XX_ATTR_SPECTRUM_MARKER_SOURCE;
extern RsAttrProperties g_RSRTM20XX_ATTR_SPECTRUM_MARKER_DISPLAY;
extern RsAttrProperties g_RSRTM20XX_ATTR_SPECTRUM_MARKER_SETUP_DISTANCE;
extern RsAttrProperties g_RSRTM20XX_ATTR_SPECTRUM_MARKER_SETUP_EXCURSION;
extern RsAttrProperties g_RSRTM20XX_ATTR_SPECTRUM_MARKER_SETUP_MINIMUM_LEVEL;
extern RsAttrProperties g_RSRTM20XX_ATTR_SPECTRUM_MARKER_SETUP_DETECTION_MODE;
extern RsAttrProperties g_RSRTM20XX_ATTR_SPECTRUM_MARKER_SETUP_MAXIMUM_WIDTH;
extern RsAttrProperties g_RSRTM20XX_ATTR_SPECTRUM_MARKER_REFERENCE_MODE;
extern RsAttrProperties g_RSRTM20XX_ATTR_SPECTRUM_MARKER_REFERENCE_FREQUENCY;
extern RsAttrProperties g_RSRTM20XX_ATTR_SPECTRUM_MARKER_REFERENCE_SPAN;
extern RsAttrProperties g_RSRTM20XX_ATTR_SPECTRUM_MARKER_REFERENCE_INDEX;
extern RsAttrProperties g_RSRTM20XX_ATTR_SPECTRUM_MARKER_TABLE_ENABLE;
extern RsAttrProperties g_RSRTM20XX_ATTR_SPECTRUM_MARKER_TABLE_DETECTED_PEAKS;
extern RsAttrProperties g_RSRTM20XX_ATTR_SPECTRUM_MARKER_TABLE_RESULT_MODE;
extern RsAttrProperties g_RSRTM20XX_ATTR_SPECTRUM_MARKER_TABLE_POSITION;
extern RsAttrProperties g_RSRTM20XX_ATTR_SPECTRUM_DISPLAY_MAGNITUDE_MODE;
extern RsAttrProperties g_RSRTM20XX_ATTR_SPECTRUM_DISPLAY_MAXIMUM_LEVEL;
extern RsAttrProperties g_RSRTM20XX_ATTR_SPECTRUM_DISPLAY_MINIMUM_LEVEL;
extern RsAttrProperties g_RSRTM20XX_ATTR_SPECTRUM_DISPLAY_COLOR_SCHEME;
extern RsAttrProperties g_RSRTM20XX_ATTR_SPECTRUM_DISPLAY_SPECTROGRAM_COLOR_SCHEME;
extern RsAttrProperties g_RSRTM20XX_ATTR_SPECTRUM_DISPLAY_FREQUENCY_DOMAIN_ENABLE;
extern RsAttrProperties g_RSRTM20XX_ATTR_SPECTRUM_DISPLAY_SPECTROGRAM_ENABLE;
extern RsAttrProperties g_RSRTM20XX_ATTR_SPECTRUM_DISPLAY_TIME_DOMAIN_ENABLE;
extern RsAttrProperties g_RSRTM20XX_ATTR_SPECTRUM_WAVEFORM_ENABLE;
extern RsAttrProperties g_RSRTM20XX_ATTR_SPECTRUM_WAVEFORM_MINIMUM_ENABLE;
extern RsAttrProperties g_RSRTM20XX_ATTR_SPECTRUM_WAVEFORM_MAXIMUM_ENABLE;
extern RsAttrProperties g_RSRTM20XX_ATTR_SPECTRUM_WAVEFORM_AVERAGE_ENABLE;
extern RsAttrProperties g_RSRTM20XX_ATTR_SPECTRUM_TIME_DOMAIN_POSITION;
extern RsAttrProperties g_RSRTM20XX_ATTR_SPECTRUM_TIME_DOMAIN_RANGE;
extern RsAttrProperties g_RSRTM20XX_ATTR_DVM_ENABLE;
extern RsAttrProperties g_RSRTM20XX_ATTR_DVM_SOURCE;
extern RsAttrProperties g_RSRTM20XX_ATTR_DVM_TYPE;
extern RsAttrProperties g_RSRTM20XX_ATTR_DVM_POSITION;
extern RsAttrProperties g_RSRTM20XX_ATTR_DVM_RESULT;
extern RsAttrProperties g_RSRTM20XX_ATTR_DVM_RESULT_STATUS;
extern RsAttrProperties g_RSRTM20XX_ATTR_COUNTER_ENABLE;
extern RsAttrProperties g_RSRTM20XX_ATTR_COUNTER_FREQUENCY;
extern RsAttrProperties g_RSRTM20XX_ATTR_COUNTER_PERIOD;
extern RsAttrProperties g_RSRTM20XX_ATTR_COLOR_AND_BRIGHTNESS;
extern RsAttrProperties g_RSRTM20XX_ATTR_SIGNAL_STYLE;
extern RsAttrProperties g_RSRTM20XX_ATTR_DIAGRAM_GRID_STYLE;
extern RsAttrProperties g_RSRTM20XX_ATTR_WAVEFORM_INTENSITY;
extern RsAttrProperties g_RSRTM20XX_ATTR_BACKGROUND_INTENSITY;
extern RsAttrProperties g_RSRTM20XX_ATTR_GRID_INTENSITY;
extern RsAttrProperties g_RSRTM20XX_ATTR_DISPLAY_LANGUAGE;
extern RsAttrProperties g_RSRTM20XX_ATTR_DIAGRAM_MODE;
extern RsAttrProperties g_RSRTM20XX_ATTR_DISPLAY_SEND_MESSAGE;
extern RsAttrProperties g_RSRTM20XX_ATTR_DISPLAY_CLOSE_DIALOG;
extern RsAttrProperties g_RSRTM20XX_ATTR_DIALOG_TRANSPARENCY;
extern RsAttrProperties g_RSRTM20XX_ATTR_PERSISTENCE_ENABLED;
extern RsAttrProperties g_RSRTM20XX_ATTR_INFINITE_PERSISTENCE;
extern RsAttrProperties g_RSRTM20XX_ATTR_PERSISTENCE_TIME;
extern RsAttrProperties g_RSRTM20XX_ATTR_PERSISTENCE_TIME_AUTO;
extern RsAttrProperties g_RSRTM20XX_ATTR_PERSISTENCE_CLEAR;
extern RsAttrProperties g_RSRTM20XX_ATTR_XY_X_SOURCE;
extern RsAttrProperties g_RSRTM20XX_ATTR_XY_Y_SOURCE;
extern RsAttrProperties g_RSRTM20XX_ATTR_XY_Y2_SOURCE;
extern RsAttrProperties g_RSRTM20XX_ATTR_XY_Z_SOURCE;
extern RsAttrProperties g_RSRTM20XX_ATTR_XY_Z_TRESHOLD;
extern RsAttrProperties g_RSRTM20XX_ATTR_XY_INTENSITY_CONTROL;
extern RsAttrProperties g_RSRTM20XX_ATTR_ZOOM_WINDOW_ENABLED;
extern RsAttrProperties g_RSRTM20XX_ATTR_ZOOM_DIAGRAM_TIMEBASE;
extern RsAttrProperties g_RSRTM20XX_ATTR_ZOOM_OFFSET_OF_TRIGGER_POINT;
extern RsAttrProperties g_RSRTM20XX_ATTR_ZOOM_REFERENCE_POINT;
extern RsAttrProperties g_RSRTM20XX_ATTR_ZOOM_SAMPLE_RATE;
extern RsAttrProperties g_RSRTM20XX_ATTR_MARKER_SET;
extern RsAttrProperties g_RSRTM20XX_ATTR_MARKER_CLEAR;
extern RsAttrProperties g_RSRTM20XX_ATTR_MARKER_CLEAR_ALL;
extern RsAttrProperties g_RSRTM20XX_ATTR_MARKER_NEXT;
extern RsAttrProperties g_RSRTM20XX_ATTR_MARKER_PREVIOUS;
extern RsAttrProperties g_RSRTM20XX_ATTR_VIRTUAL_SCREEN_ENABLED;
extern RsAttrProperties g_RSRTM20XX_ATTR_VIRTUAL_SCREEN_POSITION;
extern RsAttrProperties g_RSRTM20XX_ATTR_HISTORY_CHANNEL_CURRENT_ACQUISITION;
extern RsAttrProperties g_RSRTM20XX_ATTR_HISTORY_CHANNEL_PLAYER;
extern RsAttrProperties g_RSRTM20XX_ATTR_HISTORY_CHANNEL_START_ACQUISITION;
extern RsAttrProperties g_RSRTM20XX_ATTR_HISTORY_CHANNEL_STOP_ACQUISITION;
extern RsAttrProperties g_RSRTM20XX_ATTR_HISTORY_CHANNEL_PLAY_ALL;
extern RsAttrProperties g_RSRTM20XX_ATTR_HISTORY_CHANNEL_SPEED;
extern RsAttrProperties g_RSRTM20XX_ATTR_HISTORY_CHANNEL_REPEAT;
extern RsAttrProperties g_RSRTM20XX_ATTR_HISTORY_CHANNEL_ACQUISITON_RELATIVE_TIME;
extern RsAttrProperties g_RSRTM20XX_ATTR_HISTORY_CHANNEL_ALL_DATES;
extern RsAttrProperties g_RSRTM20XX_ATTR_HISTORY_CHANNEL_ALL_TIME_DIFFERENCES;
extern RsAttrProperties g_RSRTM20XX_ATTR_HISTORY_CHANNEL_ALL_DAYTIMES;
extern RsAttrProperties g_RSRTM20XX_ATTR_HISTORY_DIGITAL_CURRENT_ACQUISITION;
extern RsAttrProperties g_RSRTM20XX_ATTR_HISTORY_DIGITAL_PLAYER;
extern RsAttrProperties g_RSRTM20XX_ATTR_HISTORY_DIGITAL_START_ACQUISITION;
extern RsAttrProperties g_RSRTM20XX_ATTR_HISTORY_DIGITAL_STOP_ACQUISITION;
extern RsAttrProperties g_RSRTM20XX_ATTR_HISTORY_DIGITAL_PLAY_ALL;
extern RsAttrProperties g_RSRTM20XX_ATTR_HISTORY_DIGITAL_SPEED;
extern RsAttrProperties g_RSRTM20XX_ATTR_HISTORY_DIGITAL_REPEAT;
extern RsAttrProperties g_RSRTM20XX_ATTR_HISTORY_DIGITAL_ACQUISITON_RELATIVE_TIME;
extern RsAttrProperties g_RSRTM20XX_ATTR_HISTORY_DIGITAL_ALL_DATES;
extern RsAttrProperties g_RSRTM20XX_ATTR_HISTORY_DIGITAL_ALL_TIME_DIFFERENCES;
extern RsAttrProperties g_RSRTM20XX_ATTR_HISTORY_DIGITAL_ALL_DAYTIMES;
extern RsAttrProperties g_RSRTM20XX_ATTR_HISTORY_MATH_CURRENT_ACQUISITION;
extern RsAttrProperties g_RSRTM20XX_ATTR_HISTORY_MATH_PLAYER;
extern RsAttrProperties g_RSRTM20XX_ATTR_HISTORY_MATH_START_ACQUISITION;
extern RsAttrProperties g_RSRTM20XX_ATTR_HISTORY_MATH_STOP_ACQUISITION;
extern RsAttrProperties g_RSRTM20XX_ATTR_HISTORY_MATH_PLAY_ALL;
extern RsAttrProperties g_RSRTM20XX_ATTR_HISTORY_MATH_SPEED;
extern RsAttrProperties g_RSRTM20XX_ATTR_HISTORY_MATH_REPEAT;
extern RsAttrProperties g_RSRTM20XX_ATTR_HISTORY_MATH_ACQUISITON_RELATIVE_TIME;
extern RsAttrProperties g_RSRTM20XX_ATTR_HISTORY_MATH_ALL_DATES;
extern RsAttrProperties g_RSRTM20XX_ATTR_HISTORY_MATH_ALL_TIME_DIFFERENCES;
extern RsAttrProperties g_RSRTM20XX_ATTR_HISTORY_MATH_ALL_DAYTIMES;
extern RsAttrProperties g_RSRTM20XX_ATTR_HISTORY_PROTOCOL_CURRENT_ACQUISITION;
extern RsAttrProperties g_RSRTM20XX_ATTR_HISTORY_PROTOCOL_PLAYER;
extern RsAttrProperties g_RSRTM20XX_ATTR_HISTORY_PROTOCOL_START_ACQUISITION;
extern RsAttrProperties g_RSRTM20XX_ATTR_HISTORY_PROTOCOL_STOP_ACQUISITION;
extern RsAttrProperties g_RSRTM20XX_ATTR_HISTORY_PROTOCOL_PLAY_ALL;
extern RsAttrProperties g_RSRTM20XX_ATTR_HISTORY_PROTOCOL_SPEED;
extern RsAttrProperties g_RSRTM20XX_ATTR_HISTORY_PROTOCOL_REPEAT;
extern RsAttrProperties g_RSRTM20XX_ATTR_HISTORY_PROTOCOL_ACQUISITON_RELATIVE_TIME;
extern RsAttrProperties g_RSRTM20XX_ATTR_HISTORY_PROTOCOL_ALL_DATES;
extern RsAttrProperties g_RSRTM20XX_ATTR_HISTORY_PROTOCOL_ALL_TIME_DIFFERENCES;
extern RsAttrProperties g_RSRTM20XX_ATTR_HISTORY_PROTOCOL_ALL_DAYTIMES;
extern RsAttrProperties g_RSRTM20XX_ATTR_HISTORY_SPECTRUM_CURRENT_ACQUISITION;
extern RsAttrProperties g_RSRTM20XX_ATTR_HISTORY_SPECTRUM_PLAYER;
extern RsAttrProperties g_RSRTM20XX_ATTR_HISTORY_SPECTRUM_START_ACQUISITION;
extern RsAttrProperties g_RSRTM20XX_ATTR_HISTORY_SPECTRUM_STOP_ACQUISITION;
extern RsAttrProperties g_RSRTM20XX_ATTR_HISTORY_SPECTRUM_PLAY_ALL;
extern RsAttrProperties g_RSRTM20XX_ATTR_HISTORY_SPECTRUM_SPEED;
extern RsAttrProperties g_RSRTM20XX_ATTR_HISTORY_SPECTRUM_REPEAT;
extern RsAttrProperties g_RSRTM20XX_ATTR_HISTORY_SPECTRUM_EXPORT_NAME;
extern RsAttrProperties g_RSRTM20XX_ATTR_HISTORY_SPECTRUM_EXPORT_SAVE;
extern RsAttrProperties g_RSRTM20XX_ATTR_SEGMENTATION_RECORD_LENGTH;
extern RsAttrProperties g_RSRTM20XX_ATTR_ULTRA_SEGMENTATION_ENABLED;
extern RsAttrProperties g_RSRTM20XX_ATTR_SEGMENTATION_NX_SINGLE_MAXIMUM;
extern RsAttrProperties g_RSRTM20XX_ATTR_SEGMENTATION_MAXIMUM_NUMBER_OF_SEGMENTS;
extern RsAttrProperties g_RSRTM20XX_ATTR_SEGMENTATION_NUMBER_OF_AVAILABLE_SEGMENTS;
extern RsAttrProperties g_RSRTM20XX_ATTR_DRIVES;
extern RsAttrProperties g_RSRTM20XX_ATTR_CHANGE_DRIVE;
extern RsAttrProperties g_RSRTM20XX_ATTR_CURRENT_DIRECTORY;
extern RsAttrProperties g_RSRTM20XX_ATTR_CREATE_DIRECTORY;
extern RsAttrProperties g_RSRTM20XX_ATTR_REMOVE_DIRECTORY;
extern RsAttrProperties g_RSRTM20XX_ATTR_DELETE_FILE;
extern RsAttrProperties g_RSRTM20XX_ATTR_HARDCOPY_FILE_NAME;
extern RsAttrProperties g_RSRTM20XX_ATTR_HARDCOPY_INCLUDE_MENU_IN_SCREENSHOT;
extern RsAttrProperties g_RSRTM20XX_ATTR_HARDCOPY_DEVICE_DESTINATION;
extern RsAttrProperties g_RSRTM20XX_ATTR_HARDCOPY_COLOR_SCHEME;
extern RsAttrProperties g_RSRTM20XX_ATTR_HARDCOPY_COMMAND_SET;
extern RsAttrProperties g_RSRTM20XX_ATTR_HARDCOPY_DEVICE_LANGUAGE_OUTPUT_FORMAT;
extern RsAttrProperties g_RSRTM20XX_ATTR_HARDCOPY_DEVICE_ORIENTATION;
extern RsAttrProperties g_RSRTM20XX_ATTR_HARDCOPY_PAGE_SIZE;
extern RsAttrProperties g_RSRTM20XX_ATTR_HARDCOPY_PRINT;
extern RsAttrProperties g_RSRTM20XX_ATTR_HARDCOPY_SELECT_PRINTER;
extern RsAttrProperties g_RSRTM20XX_ATTR_HARDCOPY_GET_FIRST_PRINTER;
extern RsAttrProperties g_RSRTM20XX_ATTR_HARDCOPY_GET_NEXT_PRINTER;
extern RsAttrProperties g_RSRTM20XX_ATTR_ID_QUERY_RESPONSE;
extern RsAttrProperties g_RSRTM20XX_ATTR_SYSTEM_PRESET;
extern RsAttrProperties g_RSRTM20XX_ATTR_LOGGING;
extern RsAttrProperties g_RSRTM20XX_ATTR_CALIBRATION;
extern RsAttrProperties g_RSRTM20XX_ATTR_SELF_TEST_QUERY;
extern RsAttrProperties g_RSRTM20XX_ATTR_SYSTEM_ERROR;
extern RsAttrProperties g_RSRTM20XX_ATTR_SYST_ERR_LIST;
extern RsAttrProperties g_RSRTM20XX_ATTR_INSTRUMENT_NAME;
extern RsAttrProperties g_RSRTM20XX_ATTR_RESET_STATUS_REGISTER;
extern RsAttrProperties g_RSRTM20XX_ATTR_QUESTIONABLE_REGISTER;
extern RsAttrProperties g_RSRTM20XX_ATTR_SELF_ALIGNMENT;
extern RsAttrProperties g_RSRTM20XX_ATTR_SELF_ALIGNMENT_STATE;
extern RsAttrProperties g_RSRTM20XX_ATTR_QUERY_OPC;
extern RsAttrProperties g_RSRTM20XX_ATTR_PROCESS_ALL_PREVIOUS_COMMANDS;
extern RsAttrProperties g_RSRTM20XX_ATTR_SOUND_ENABLED;
extern RsAttrProperties g_RSRTM20XX_ATTR_SOUND_ERROR_ENABLED;
extern RsAttrProperties g_RSRTM20XX_ATTR_SOUND_TRIGGER_ENABLED;
extern RsAttrProperties g_RSRTM20XX_ATTR_SOUND_GENERATE;
extern RsAttrProperties g_RSRTM20XX_ATTR_OPERATION_CONDITION;
extern RsAttrProperties g_RSRTM20XX_ATTR_OPERATION_ENABLE;
extern RsAttrProperties g_RSRTM20XX_ATTR_OPERATION_N_TRANSITION;
extern RsAttrProperties g_RSRTM20XX_ATTR_OPERATION_P_TRANSITION;
extern RsAttrProperties g_RSRTM20XX_ATTR_OPERATION_EVENT;
extern RsAttrProperties g_RSRTM20XX_ATTR_QUESTIONABLE_CONDITION;
extern RsAttrProperties g_RSRTM20XX_ATTR_QUESTIONABLE_ENABLE;
extern RsAttrProperties g_RSRTM20XX_ATTR_QUESTIONABLE_N_TRANSITION;
extern RsAttrProperties g_RSRTM20XX_ATTR_QUESTIONABLE_P_TRANSITION;
extern RsAttrProperties g_RSRTM20XX_ATTR_QUESTIONABLE_EVENT;
extern RsAttrProperties g_RSRTM20XX_ATTR_QUESTIONABLE_CHANNEL_OVERLOAD_CONDITION;
extern RsAttrProperties g_RSRTM20XX_ATTR_QUESTIONABLE_CHANNEL_OVERLOAD_ENABLE;
extern RsAttrProperties g_RSRTM20XX_ATTR_QUESTIONABLE_CHANNEL_OVERLOAD_N_TRANSITION;
extern RsAttrProperties g_RSRTM20XX_ATTR_QUESTIONABLE_CHANNEL_OVERLOAD_P_TRANSITION;
extern RsAttrProperties g_RSRTM20XX_ATTR_QUESTIONABLE_CHANNEL_OVERLOAD_EVENT;
extern RsAttrProperties g_RSRTM20XX_ATTR_QUESTIONABLE_LIMIT_CONDITION;
extern RsAttrProperties g_RSRTM20XX_ATTR_QUESTIONABLE_LIMIT_ENABLE;
extern RsAttrProperties g_RSRTM20XX_ATTR_QUESTIONABLE_LIMIT_N_TRANSITION;
extern RsAttrProperties g_RSRTM20XX_ATTR_QUESTIONABLE_LIMIT_P_TRANSITION;
extern RsAttrProperties g_RSRTM20XX_ATTR_QUESTIONABLE_LIMIT_EVENT;
extern RsAttrProperties g_RSRTM20XX_ATTR_QUESTIONABLE_MASK_CONDITION;
extern RsAttrProperties g_RSRTM20XX_ATTR_QUESTIONABLE_MASK_ENABLE;
extern RsAttrProperties g_RSRTM20XX_ATTR_QUESTIONABLE_MASK_N_TRANSITION;
extern RsAttrProperties g_RSRTM20XX_ATTR_QUESTIONABLE_MASK_P_TRANSITION;
extern RsAttrProperties g_RSRTM20XX_ATTR_QUESTIONABLE_MASK_EVENT;

/*****************************************************************************
 *- Repeated Capabilities Table --------------------------------------------------------------*
 *****************************************************************************/
extern RsRepCap rsrtm20xx_RsRepCapTable[];

/*****************************************************************************
 *- Attributes List ---------------------------------------------------------*
 *****************************************************************************/
extern RsAttrPropertiesPtr rsrtm20xx_RsAttrPropertiesList[];

/****************************************************************************
 *---------------------------- End Include File ----------------------------*
 ****************************************************************************/
#if defined(__cplusplus) || defined(__cplusplus__)
}
#endif
#endif /* __RSRTM20XX_ATTRIBUTES_HEADER */
